%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name katello
#global prever .rc1
#global mainver 3.0.0.1
#global release 1.nightly

%global foreman_dir /usr/share/foreman
%global foreman_bundlerd_dir %{foreman_dir}/bundler.d

%global scl_ruby_bin /usr/bin/%{?scl:%{scl_prefix}}ruby
%global scl_rake /usr/bin/%{?scl:%{scl_prefix}}rake

%define katello_ostree %{?scl_prefix}rubygem-%{gem_name}_ostree

Name:    %{?scl_prefix}rubygem-%{gem_name}
Summary: Katello

Version: 3.0.0.171
Release: 1%{?dist}
Group:   Development/Ruby
License: Distributable
URL:     http://www.katello.org
Source0: http://dogfood.sat.engineering.redhat.com/pulp/isos/Sat6-CI/Library/custom/Source_Files/Satellite_6_2_Source_Files/%{gem_name}-%{version}.gem

Requires: katello-selinux
Requires: foreman
Requires: foreman-postgresql
Requires: %{?scl_prefix}rubygem(angular-rails-templates) >= 0.0.4
Requires: %{?scl_prefix}rubygem(bastion) >= 3.0.0
Requires: %{?scl_prefix}rubygem(bastion) < 4.0.0
Requires: %{?scl_prefix}rubygem(oauth)
Requires: %{?scl_prefix}rubygem(rest-client)
Requires: %{?scl_prefix}rubygem(rabl)
Requires: %{?scl_prefix}rubygem(foreman_docker) >= 0.2.0
Requires: %{?scl_prefix}rubygem(foreman-tasks) >= 0.7.1
Requires: %{?scl_prefix}rubygem(foreman-tasks) < 0.8.0
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails)
Requires: %{?scl_prefix}rubygem(apipie-rails) >= 0.1.1
Requires: %{?scl_prefix}rubygem(runcible) >= 1.3.0
Requires: %{?scl_prefix}rubygem(anemone)
Requires: %{?scl_prefix}rubygem(jquery-ui-rails)
Requires: %{?scl_prefix}rubygem(deface) >= 1.0.0
Requires: %{?scl_prefix}rubygem(deface) < 2.0.0
Requires: %{?scl_prefix}rubygem(qpid_messaging) < 2.0.0
Requires: %{?scl_prefix_ruby}rubygem(json)
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby(rubygems)

BuildRequires: foreman-assets
BuildRequires: foreman-plugin >= 1.11.0
BuildRequires: %{?scl_prefix}rubygem(foreman_docker) >= 0.2.0
BuildRequires: %{?scl_prefix}rubygem(angular-rails-templates) >= 0.0.4
BuildRequires: %{?scl_prefix}rubygem(bastion) >= 3.0.0
BuildRequires: %{?scl_prefix}rubygem(bastion) < 4.0.0
BuildRequires: %{?scl_prefix}rubygem(foreman-tasks) >= 0.7.1
BuildRequires: %{?scl_prefix}rubygem(foreman-tasks) < 0.8.0
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails)
BuildRequires: %{?scl_prefix}rubygem(apipie-rails) >= 0.1.1
BuildRequires: %{?scl_prefix}rubygem(runcible) >= 1.3.0
BuildRequires: %{?scl_prefix}rubygem(anemone)
BuildRequires: %{?scl_prefix}rubygem(jquery-ui-rails)
BuildRequires: %{?scl_prefix}rubygem(deface) >= 1.0.0
BuildRequires: %{?scl_prefix}rubygem(deface) < 2.0.0
BuildRequires: %{?scl_prefix}rubygem(qpid_messaging) < 2.0.0
BuildRequires: %{?scl_prefix_ror}rubygem(rails)
BuildRequires: %{?scl_prefix_ruby}rubygem(json)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
BuildRequires: %{?scl_prefix_ruby}ruby(release)

#old dependencies that are no longer needed, remove in katello 2.6
Obsoletes: ruby193-rubygem-haml
Obsoletes: ruby193-rubygem-haml-rails
Obsoletes: ruby193-rubygem-hpricot
Obsoletes: ruby193-rubygem-foreman_gutterball

BuildArch: noarch
Provides: %{?scl_prefix}rubygem(katello) = %{version}
%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}

%description
Katello

%package doc
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}
%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%package -n %{katello_ostree}
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Katello Ostree Plugin

%description -n %{katello_ostree}
This package provides the ostree plugin for rubygem-%{gem_name}.

%prep
%setup -q -c -T -n %{pkg_name}-%{version}
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0} --no-rdoc --no-ri
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s -a

%files
%dir %{gem_instdir}/
%{gem_libdir}
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_instdir}/locale
%{gem_instdir}/engines
%{gem_instdir}/ca
%{gem_instdir}/vendor
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_apipie_cache_foreman}
%{foreman_apipie_cache_plugin}
%{foreman_assets_plugin}
%{gem_instdir}/public/assets/bastion_katello

%exclude %{gem_cache}
%exclude %{gem_instdir}/lib/katello/repository_types/ostree.rb

%doc %{gem_instdir}/LICENSE.txt

%files doc
%doc %{gem_instdir}/README.md

%files -n %{katello_ostree}
%{gem_instdir}/lib/katello/repository_types/ostree.rb

%changelog
* Wed Mar 27 2019 Eric D. Helms <ericdhelms@gmail.com> 3.0.0.171-1
- BZ #1686547 - qpid-messaging update (zhunting@redhat.com)

* Tue Mar 26 2019 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.170-3
- BZ #1686547 - rubygem-qpid_messaging-1.36 (jturel@gmail.com)

* Tue Mar 26 2019 Jonathon Turel <jturel@gmail.com> 3.0.0.170-2
- Bump qpid_messaging version for BZ #1686547

* Tue Apr 17 2018 Zjhuntin <zhunting@redhat.com> 3.0.0.170-1
- 

* Mon Mar 19 2018 Zjhuntin <zhunting@redhat.com> 3.0.0.169-1
- BZ #1480694 - do not set checksum on upload if checksum is not set

* Thu Mar 15 2018 Zjhuntin <zhunting@redhat.com> 3.0.0.168-1
- BZ #1466950 - provide checksum on package upload
- BZ #1422307 - Add setting for number of hosts sub page displays
- BZ#1547986 - limit host group relations searching
- BZ #1518804 - Fix errata widget
- BZ #1518804 - improve performance of dashboard errata
- BZ #1480694 - Custom Repositories built with SHA1 checksums produce incorrect SHA256 repodata
- BZ #1551674 - subscription page unusable with many hosts registered
- BZ #1514508 - allow registrations to occur without blocking on task

* Mon Feb 19 2018 Eric D. Helms <ericdhelms@gmail.com> 3.0.0.163-1
- BZ #1546074 - correct errata query for content facet

* Mon Feb 19 2018 Eric D. Helms <ericdhelms@gmail.com> 3.0.0.162-2
-

* Tue Jan 30 2018 Evgeni Golov 3.0.0.162-1
- BZ #1421594 - properly detect CVPE during proxy sync

* Tue Jan 09 2018 Evgeni Golov 3.0.0.161-1
- BZ #1424689 - container name validation
- BZ #1369189 - correct detection of redhat subs
- BZ #1440235 - acknowledge all candlepin messages
- BZ #1465146 - speed up errata api
- BZ #1421594 - Possible race condition when sync multiple puppet repos

* Tue Nov 28 2017 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.158-1
-

* Tue Oct 10 2017 Evgeni Golov 3.0.0.157-1
- BZ #1469800 - package profile task runs profile update and generate applicability at the same time

* Mon Oct 09 2017 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.156-1
-

* Mon Oct 09 2017 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.155-1
-

* Fri Sep 08 2017 Evgeni Golov 3.0.0.154-1
- BZ #1395642 - treat empty string as nil for cv filters
- BZ #1395642: Package filter rules edit checked for wrong type (#5977) (cherry picked from commit 6e0370473b256b728fbcf6f3636566d16997f5d5)

* Thu Sep 07 2017 Evgeni Golov 3.0.0.153-1
- BZ #1419139 - revert small performance improvement

* Tue Aug 29 2017 Evgeni Golov 3.0.0.152-1
- BZ #1485942 - make sub facet user_id index non-uniq

* Tue Aug 22 2017 Evgeni Golov <egolov@redhat.com> 3.0.0.151-1
- BZ #1317837 - Problems w/ lifecycle env list when using role for view onl

* Fri Jul 21 2017 zjhuntin <zhunting@redhat.com> 3.0.0.144-1
-

* Fri Jul 21 2017 zjhuntin <zhunting@redhat.com>
-

* Mon Jul 17 2017 zjhuntin <zhunting@redhat.com> 3.0.0.143-1
- BZ #1434040 - Offloaded upload package task to dynflow executo

* Wed Jul 12 2017 Eric D. Helms <ericdhelms@gmail.com> 3.0.0.142-2
- Allow rubygem-katello for qpid-messaging 0.34 (ericdhelms@gmail.com)

* Wed Jul 12 2017 zjhuntin <zhunting@redhat.com> 3.0.0.142-1
-

* Wed Jul 12 2017 zjhuntin <zhunting@redhat.com> 3.0.0.141-1
- BZ #1425691 - Content view does not work properly so the client systems do not get required packages/errata

* Tue Jul 11 2017 zjhuntin <zhunting@redhat.com> 3.0.0.140-1
- BZ #1464881 - Getting password

* Mon Jul 10 2017 zjhuntin <zhunting@redhat.com> 3.0.0.139-1
- BZ #1458857 - Speed up rhsm_fact_importe

* Thu Jun 29 2017 zjhuntin <zhunting@redhat.com> 3.0.0.138-1
- BZ #1431783 - reduce qpid-based candlepin callbacks
- BZ #1454352 - clear out bound repos on unregister
- BZ #1391298 - Handle 409 RestClient::Conflict
- BZ #1427282 - fixes the sub quer

* Mon Jun 05 2017 zjhuntin <zhunting@redhat.com> 3.0.0.137-1
- BZ #1266827 - add confirmation modal to 'delete manifest'
- BZ #1266827 - add confirmation modal to 'delete manifest

* Fri Jun 02 2017 zjhuntin <zhunting@redhat.com> 3.0.0.136-1
- BZ #1456446 - fix capsule_content refrence
- BZ #1456559 - fix capsule syn

* Thu May 25 2017 zjhuntin <zhunting@redhat.com> 3.0.0.135-1
- BZ #1455171 - fix tests
- BZ #1455199 - fix manifest refresh
- BZ #1455171 - fix repository updates error on default_capsule?
- BZ #1455154 - fix manifest refres

* Wed May 17 2017 zjhuntin <zhunting@redhat.com> 3.0.0.134-1
- BZ #1399725 - Check perm before redirecting to manifest pag

* Tue May 16 2017 zjhuntin <zhunting@redhat.com> 3.0.0.133-1
- BZ #1434609 - unit test fixes
- BZ #1434609 - clean hosts with nil sub uuid
- BZ #1391200 - Correct host link to subscription
- BZ #1375075 - no longer rely on nil/false for default capsule
- BZ #1375075 - Ensure yum_clone_distributor is on default capsule repo
- BZ #1375075 - provide rake task with repo util

* Mon May 15 2017 zjhuntin <zhunting@redhat.com> 3.0.0.132-1
- BZ #1393580 - Regenerates Certs on Manifest refres

* Mon May 08 2017 zjhuntin <zhunting@redhat.com> 3.0.0.125-1
- BZ 1447958 - changed includes to preload in hosts list scop

* Mon Apr 24 2017 zjhuntin <zhunting@redhat.com> 3.0.0.124-1
- BZ 1435385 - Added facet registration before plugi

* Tue Apr 11 2017 zjhuntin <zhunting@redhat.com> 3.0.0.123-1
- BZ #1223023 - repo sync: several parameters not passed to pul

* Tue Apr 11 2017 zjhuntin <zhunting@redhat.com> 3.0.0.122-1
- BZ #1384673 - undefined method '+' for nil:NilClass when viewing third-party rp

* Tue Apr 04 2017 zjhuntin <zhunting@redhat.com> 3.0.0.121-1
- BZ #1427618 - add missing disable_dynflow tas

* Tue Mar 28 2017 zjhuntin <zhunting@redhat.com> 3.0.0.120-1
- BZ #1223023 - Add advanced sync options
- BZ #1223023 - allow force repo metadata  publis

* Fri Mar 24 2017 Eric D Helms <ericdhelms@gmail.com> 3.0.0.119-1
- BZ #1388296 - Skip pulp metadata regeneration on CVV promote
- BZ #1406450 - show attached hosts for vdc sub

* Wed Mar 22 2017 zjhuntin <zhunting@redhat.com> 3.0.0.118-1
- BZ #1400826 - Handle invalid manifest when accessing CD

* Tue Mar 21 2017 zjhuntin <zhunting@redhat.com> 3.0.0.117-1
- BZ #1419667 - Include ref'd objects in hosts AP

* Fri Mar 17 2017 zjhuntin <zhunting@redhat.com> 3.0.0.115-1
- BZ #1418352- Deprecate katello:reinde

* Fri Feb 24 2017 zjhuntin <zhunting@redhat.com> 3.0.0.105-1
- BZ #1369817 - mail - remove change that is specific to rails 4.

* Tue Feb 14 2017 zjhuntin <zhunting@redhat.com> 3.0.0.103-1
- BZ #1405085 - ActiveRecord::StatementInvalid on host registratio

* Thu Feb 09 2017 zjhuntin <zhunting@redhat.com> 3.0.0.102-1
- BZ 1420626 - add back system_id to register actio

* Tue Feb 07 2017 zjhuntin <zhunting@redhat.com> 3.0.0.101-1
- BZ #1405085 - ActiveRecord::StatementInvalid on host registratio

* Sat Feb 04 2017 Eric D Helms <ericdhelms@gmail.com> 3.0.0.100-1
- BZ #1405614 - System does not get registered because {network.hostname-override:} in /etc/rhsm/facts/katello.facts is empty due 'hostname -f'
- BZ #1375706 - Puppet hosts in satellite web UI are incorrectly registered as FQDN

* Fri Feb 03 2017 zjhuntin <zhunting@redhat.com> 3.0.0.98-1
- BZ #1232877 - Error accessing dashboard when user has filtered access to hosts
- BZ #1388173 - Can not delete Content View
- BZ #1387776 - Unable to view activation keys in satellite web-ui as well as in hammer since upgrade
- BZ #1333219 - view_subscription filter does not allow subscriptions to be viewed
- BZ #1378915 - Install Errata - Katello SSH Default contains incorrect syntax for job template
- BZ #1372372 - hammer host collection package/erratum subcommands are broken
- BZ #1371406 - Environment and content view not displayed for content host
- BZ #1369817 - Email notification fails for Satellite Promotion  and Satellite Sync Summar

* Thu Feb 02 2017 Eric D Helms <ericdhelms@gmail.com> 3.0.0.97-1
- BZ #1393544 - [RFE] Enhance Satelltie 6 UI to make the need for virt-who apparent
- BZ #1411800 - Error while navigating to Products from the GPG keys page.
- BZ #1414149 - published docker content views are missing docker tags
- BZ #1406506 - Network snippets missing from atomic kickstart
- BZ #1406506 - Network snippets missing from atomic kickstart
- BZ #1388618 - Trying to delete a Puppet content view version throws the error ' TypeError: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject

* Thu Jan 26 2017 zjhuntin <zhunting@redhat.com> 3.0.0.95-1
-

* Mon Jan 23 2017 zjhuntin <zhunting@redhat.com> 3.0.0.94-1
- BZ #1412486 - Katello::<Unit type>.import_all function breaks repository association after upgrading satellite or running reindex rake tas

* Tue Jan 10 2017 zjhuntin <zhunting@redhat.com> 3.0.0.93-1
- BZ #1406900 - After Satellite 6 upgrade from 6.1 -> 6.2 Content View loses puppet module

* Wed Jan 04 2017 zjhuntin <zhunting@redhat.com> 3.0.0.92-1
- BZ #1389558 - unify_hosts.rake requires mac addresses to fully wor

* Wed Dec 21 2016 zjhuntin <zhunting@redhat.com> 3.0.0.91-1
- BZ #1357866 - Helper rake tasks not fully updated for Host Unification and Scoped search
- BZ #1397467 - Expose PUT /rhsm to user credentials so facts may be updated in candlepin
- BZ #1399877 - Improve ListenOnCandlepinEvents throughput
- BZ #1399877 - Improve ListenOnCandlepinEvents throughput
- BZ #1327212 - unable to select the all errata , gui does not work when more than 20 errata available
- BZ #1180573 - Content dashboard has wrong links to \[Invalid|Insufficient|Current] Subscriptions
- BZ #1180573 - Content dashboard has wrong links to \[Invalid|Insufficient|Current] Subscriptions
- BZ #1397542 - VDC guest subscriptions showing as null in activation key
- BZ #1367851 - Satellite is failing to enable EUS repositories for Resilient Storage for RHEL 5 and 6
- BZ #1357866 - Helper rake tasks not fully updated for Host Unification and Scoped search
- BZ #1390153 - /api/v2/hosts/:id does not expose content_source_id
- BZ #1329689 - list of packages on About page missing crucial entrie

* Mon Dec 12 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.90-1
- BZ #1394313 - correctly update docker tags to manifests
- BZ #1399294 - index content in a paged manner
- BZ #1394313 - correctly update docker tags to manifests
- BZ #1398438 - Repository synchronization tries to create all the missing repositories on a remote capsule
- BZ #1391704 - Repository synchronization checks all the repos on capsule on sync statu

* Mon Dec 05 2016 zjhuntin <zhunting@redhat.com> 3.0.0.89-1
- BZ #1400624 - fix wrong num of arguments on cv publish and capsule syn

* Wed Nov 23 2016 zjhuntin <zhunting@redhat.com> 3.0.0.86-1
- BZ #1364544 - Discovery auto provisioning fails in Satellite 6.2 (undefined method path for media

* Mon Nov 21 2016 zjhuntin <zhunting@redhat.com> 3.0.0.85-1
-

* Thu Oct 27 2016 zjhuntin <zhunting@redhat.com> 3.0.0.82-1
-

* Mon Oct 03 2016 zjhuntin <zhunting@redhat.com> 3.0.0.81-1
- BZ #1303816 - Errata incremental update content view not working with non-admin user
- BZ #1348070 - mirror-on-sync option is not set properly during repository creat

* Wed Sep 21 2016 zjhuntin <zhunting@redhat.com> 3.0.0.80-1
- BZ #1372073 - loading task takes 10+ seconds, makes 16K sql querie

* Tue Sep 06 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.78-1
- BZ #1372482 - Upgrade from 6.2.1 to 6.2.2 error: NoMethodError: undefined method 'redhat?

* Wed Aug 31 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.76-1
- BZ #1188796 - \[RFE] option to selectively attach required subscriptions to multiple content hosts via Satellite WebUI
- BZ #1188796 - \[RFE] option to selectively attach required subscriptions to multiple content hosts via Satellite WebU

* Tue Aug 30 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.75-1
- BZ #1327292 - Main sync page throws error/warning upon completion of sync if capsules non-responsiv

* Tue Aug 30 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.74-1
- BZ #1343067 - Subscription can only once be attached to an activation key
- BZ #1364778 - Host Errata Email Reports contain no details after upgrade to Satellite 6.2
- BZ #1362194 - No proper subscriptions created for custom products
- BZ #1180573 - Content dashboard has wrong links to \[Invalid|Insufficient|Current] Subscriptions
- BZ #1361785 - upgrade_check fails because of running tasks
- BZ #1361309 - Re-Registering  host with uppercase hostname errors 'Name has already been taken'
- BZ #1257586 - No error that resource cannot be found
- BZ #1325989 - GET/POST/PUT /api/v2/host_collections/ do not return 'host_ids' attribute
- BZ #1288656 - checksum-type does not updated on already synced repository at Satellite Capsule.
- BZ #1336716 - Unable to remove host collection from activation key via hamme

* Wed Aug 17 2016 zjhuntin <zhunting@redhat.com> 3.0.0.73-1
- BZ #1366629 - Satellite upgrade fails with "duplicate key value violates unique constraint" erro

* Wed Aug 17 2016 zjhuntin <zhunting@redhat.com> 3.0.0.72-1
- BZ #1364175 - update_subscription_facet_backend_data step fails on 6.2 upgrad

* Tue Aug 16 2016 zjhuntin <zhunting@redhat.com> 3.0.0.71-1
- BZ #1361793 - Dashboard gives undefined method 'name' for nil:NilClass
- BZ #1361793 - Dashboard gives undefined method 'name' for nil:NilClas

* Thu Aug 04 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.70-1
- BZ #1349980 - Unable to sync Docker Containers to Satellite if repository already exist

* Tue Aug 02 2016 zjhuntin <zhunting@redhat.com> 3.0.0.69-1
- BZ #1342665 - CVE-2016-4475 - API and UI org/locations actions not limited to user's associated orgs/locations
- BZ #1351103 - 'NameError' while syncing imported rhel repo in importing satellite
- BZ #1311739 - visiting Content -> Puppet Modules and then a modules Content Views page gives error
- BZ #1234619 - Uploaded puppet modules from hammer CLI not visible in the U

* Thu Jul 21 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.68-1
- BZ #1356622 - \[hammer] product create fails with error: PG::Error: ERROR: duplicate key value violates unique constraint "index_katello_pools_on_cp_id

* Wed Jul 20 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.67-1
- BZ #1356622 - \[hammer] product create fails with error:  PG::Error: ERROR:  duplicate key value violates unique constraint "index_katello_pools_on_cp_id

* Tue Jul 19 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.66-1
- BZ #1323644 - Capsule sync failed while syncing ostree content

* Tue Jul 19 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.65-1
- BZ #1357157 - Upgrading the Satellite server removes the Hypervisor profile

* Fri Jul 15 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.64-1
- BZ #1315269 - \[RFE] Create a pre-upgrade script that will check for active task

* Wed Jul 13 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.61-1
- BZ 1339242 - switch autopublish for yum repos to true
- BZ 1339242 - switch autopublish for yum repos to tru

* Tue Jul 12 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.60-1
- BZ #1337810 - Failed to list bonus pool on satellite webUI (by virt-who

* Mon Jul 11 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.59-1
- BZ #1315269 - \[RFE] Create a pre-upgrade script that will check for active task

* Thu Jul 07 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.58-1
- BZ #1351728 - Satellite 6.2: Not able to select/publish " Use Latest Version" of puppet module in content view
- BZ #1321041 - Content Host status is green, but shows "Warning

* Tue Jul 05 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.57-1
- BZ #1346428 - Unable to view filtered errata to add to a content vie

* Tue Jun 28 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.54-1
- BZ #1349043 - Content host not found during capsule sync after upgrade
- BZ #1349313 - Task Actions::Katello::Host::UploadPackageProfile is synchronou

* Tue Jun 28 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.53-1
- BZ #1350803 - CVE-2016-3072 Authenticated sql injection via sort_by and sort_attr parameters
- BZ #1347792 - Unable to add puppet module stdlib to my content view through the UI
- BZ #1347095 - 6.2 Beta2 - Sync Status page not drawn properly if sync in progress
- BZ #1347792 - Unable to add puppet module stdlib to my content view through the UI
- BZ #1345723 - Unregistering a client via CLI doesn't remove the profile from Satellite WebUI.
- BZ #1347427 - Content host details page should be explicit about unregistered clients
- BZ #1336293 - periodic high load on PostgreSQL: SELECT  DISTINCT "katello_errata".\* FROM "katello_errata"...
- BZ #1340088 - Duplicate entries for hypervisors after renaming content host
- BZ #1341149 - No permissions for power, puppetrun e.t.c in API
- BZ #1326044 - Fix the user data template for atomic
- BZ #1318026 - auto-attach on a content host throws js error
- BZ #1332037 - Synchronizing repositories that are published via HTTP and HTTPS should always default to the more secure method available.
- BZ #1348727 - Creating life cycle environments generates erro

* Fri Jun 17 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.51-1
- BZ #1315610 - Routing errors due to missing .css files on navigating sync status pag

* Fri Jun 17 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.50-1
- BZ #1337497 - Adding puppet module to Content View by API does not set version, and therefor exclude it in publishing the module
- BZ #1339481 - Available pool quantity is wrong after removed subscribed pool(by virt-who)
- BZ #1337522 - Satellite webUI, Subscription Status shows green instead of red if registered system without auto-attach.
- BZ #1341844 - Browsing Repositories provides incorrect URL for
- BZ #1344288 - \[upgrade] Host creation failed with error:  Medium can't be blank even when media was correctly associate

* Wed Jun 15 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.49-1
- BZ #1343860 - \[ALL LANG] Unlocalized Strings in 6.2 build

* Wed Jun 15 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.48-1
- BZ #1343576 - Errata filter does not seem to be applying correctly under 'Add'
- BZ #1344449 - Reregistering a client after upgrade fails 'Validation failed: Interfaces host must have one primary interface'
- BZ #1329588 - Error when regenerating identity cert
- BZ #1336802 - "Reset Puppet Environment to match selected Content View" does not work in Satellite 6.2 BETA
- BZ #1343999 - upgrade failure if any system not properly registered
- BZ #1321041 - Content Host status is green, but shows "Warning

* Fri Jun 10 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.47-1
- BZ #1336293 - Revert "BZ #1336293 - periodic high load on Post...

* Wed Jun 08 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.46-1
-

* Mon Jun 06 2016 Zach Huntington-Meath <zhunting@redhat.com> 3.0.0.44-1
- BZ #1340252 - removing a vdc subscription causes candlepin listener to fail as the guest subs are removed too
- BZ #1335133 - Unnecessary date/time transformation for sync plan start date
- BZ #1243536 - manifest import messages no longer displayed in UI
- BZ #1336293 - periodic high load on PostgreSQL: SELECT  DISTINCT "katello_errata".\* FROM "katello_errata"...
- BZ #1335851 - The page does not load while accessing Content -> "Gpg Keys" on Satellite 6.2 Beta when having Any Context se

* Mon Jun 06 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.43-1
- BZ #1341712 - Error registering a host after the upgrade has completed
- BZ #1265884 - Slowness experienced when navigating to different options in the Satellite UI
- BZ #1336790 - 'hammer sync-plan info' doesn't return start date
- BZ #1333303 - "Content Host Counts" column on the Errata page should only count hosts in that or

* Thu Jun 02 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.42-2
- BZ #1342163 - yum update: generating dependency errors (ericdhelms@gmail.com)

* Wed Jun 01 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.42-1
- BZ #1341854 - hammer options are missing from repository synchroniz

* Wed Jun 01 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.41-1
- BZ #1339682 - Upgrade fails with undefined method erro

* Tue May 31 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.40-1
- BZ #1339682 - Upgrade fails with undefined method erro

* Thu May 26 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.38-1
- BZ #1340122 - \[3.0.0 RC5] UPG failed due to Candlepin/Pulp Issues (Multiple Content Host Entries linked to Host-Collections inside DB

* Tue May 24 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.35-1
- BZ #1315440 - pulp version shows just spinner in capsule show pag

* Mon May 23 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.34-1
- BZ #1275756 - "Selecting all" in a content view filter for errata type security shows nothing after adding.
- BZ #1335856 - Page does not load while accessing Content -> Puppet Modules in Any Context
- BZ #1336916 - quantity consumed of a subscription on content host is incorrect in UI
- BZ #1319278 - Unable to select various tabs under puppetca tab of smart-proxy
- BZ #1330306 - two queries are performed when searching for erratum that does not exist
- BZ #1336455 - js error visiting Packages Repositories page
- BZ #1335148 - api call made by virt-who attempts to update facts of hypervisor
- BZ #1330307 - product API call with 'enabled=true' slow, causing product page to load slowly
- BZ #1335856 - Page does not load while accessing Content -> Puppet Modules in Any Contex

* Wed May 18 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.32-1
-

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.31-1
- BZ #1335699 - migrate_foreman error upgrading from 6.1 to 6.2 -> error: already initialized constant Katello::WhitelistConstraint::PATHS
- BZ #1324218 - I would like a default location under /var/lib/pulp for repo exports
- BZ #1247946 - Enable feature to update all packages for a host collection to patch all hosts at once
- BZ #1312124 - In Bulk Action  Apply ALL Installable Errata should only select applicable errata
- BZ #1332247 - ISE on loading Sync Status page with Any Context
- BZ #1328627 - as the number of subs increases, dashboard page gets slower
- BZ #1309308 - User shouldn't be able to install packages after un-registering a host from content-host page
- BZ #1327292 - Main sync page throws error/warning upon completion of sync if capsules non-responsive
- BZ #1319797 - content host details page hidden for hypervisors
- BZ #1336444 - Fixes sub-man command in registering content host pag

* Wed May 11 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.28-1
- BZ #1333774 - foreman-installer upgrade fails if unmanaged hosts exist on satellit

* Wed May 11 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.27-1
- BZ #1334759 - intermittent failing unit test when building 6.2.0 snapshot
- BZ #1320485 - Updating CDN URL with repo exported location throws SSL certificate verify failed for Redhat Repositories
- BZ #1317846 - Cannot work with properties when create new organization
- BZ #1203111 - Sync plan page shows incorrect count of Total plans after deleting the sync plans.
- BZ #1329292 - Can't upload repository content via API
- BZ #1328943 - hammer content-view filter info returns wrong information
- BZ #1279323 - foreman-rake katello:clean_backend_objects deletes all records of content hosts when Candelpin is down with 404 due to OutOfMemory
- BZ #1332620 - Upgrades: All the hosts appear unsubscribed and I can't attach subscription
- BZ #1330307 - product API call with 'enabled=true' slow, causing product page to load slowl

* Tue May 03 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.26-1
- BZ #1184480 - unable to search gpgkeys  with numeric data
- BZ #1326089 - manifest import continues forever after running automation
- BZ #1187520 - \[RFE] IDM snippet not expanded when reviewing provisioning template
- BZ #1307002 - API not able to update the information when single attribute is passed
- BZ #1316681 - Can't delete puppet module repo
- BZ #1325027 - Need to add ssh snippet to Katello Kickstart Atomic for remote exec support
- BZ #1320319 - Remove "custom" from certain descriptions in Repository API path descriptions
- BZ #1321041 - Content Host status is green, but shows "Warning"
- BZ #1278893 - Cannot view more than 20 hosts associated with an activation key
- BZ #1320311 - No list provided for download policy error message
- BZ #1134066 - API endpoint katello/api/subscriptions/upload does not exist and is documented on apidoc
- BZ #1323802 - \[RFE] When we know a valid setting lets display a select box
- BZ #1316650 - Dashboard - Current Subscription Totals widget calculates subscriptions incorrectly
- BZ #1315888 - hover over text of certain dashboard widgets are irrelevant
- BZ #1317682 - hammer activation-key still mentions 'content-host'
- BZ #1317871 - On pop-up confirming delete, name is ""
- BZ #1330088 - Unable to update any field for sync plans
- BZ #1193020 - UI doesn't raise success/error notifications for gpg_keys
- BZ #1261184 - Ability to remove synced contents from Red Hat Satellite Capsule server.
- BZ #1317687 - katello-agent status is not updated in UI
- BZ #1277634 - content view filter "affected repositories" always shows 0 packages 0 errata
- BZ #1326042 - NameError: uninitialized constant Util in katello/app/lib/katello/resources/candlepin.rb:625
- BZ #1194535 - Repo creation: tabbing through fields is wonky
- BZ #1267585 - Filter within Activation Keys -> Host Collections only works on visible host collections
- BZ #1316604 - Update with content hosts no longer in candlepin breaks the migration
- BZ #1315876 - Clicking content view url from Dashboard -> 'Content View History' results in url redirect loop
- BZ #1268085 - sort by columns for all views dose not work properly.
- BZ #1326040 - rake katello:reset errors Foreman::Exception: ERF42-9500 \[Foreman::Exception]: Unknown remote execution feature katello_package_install
- BZ #1326039 - Use options for repo content_type fiel

* Mon Apr 25 2016 Mike McCune <mmccune@redhat.com> 3.0.0.24-1
-

* Fri Apr 22 2016 Mike McCune <mmccune@redhat.com> 3.0.0.23-1
-

* Fri Apr 22 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.22-1
- BZ #1318743 - Provisioning a host using 'default content view' may use the incorrect kickstart tree
- BZ #1318743 - Provisioning a host using 'default content view' may use the incorrect kickstart tree
- BZ #1328409 - Custom product subscriptions are missing while updating activation key on sat server installed on rhel6
- BZ #1322620 - Product/Repo: No default option Download Policy and auto-populated choice is non-intuitiv

* Wed Apr 20 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.21-1
- BZ #1327210 - unable to register capsule via subscription-manager if previously registered via puppe

* Tue Apr 19 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.20-1
- BZ #1327210 - unable to register capsule via subscription-manager if previously registered via puppet
- BZ #1327210 - unable to register capsule via subscription-manager if previously registered via puppet
- BZ #1327210 - unable to register capsule via subscription-manager if previously registered via puppe

* Sun Apr 17 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.19-1
- BZ #1323076 - 404 for icons on Red Hat Repositories page
- BZ #1326815 - Capsule sync failed while syncing docker contents:  \[E] DKR1008: Could not find registry API at <http://sat_server>:5000 (Katello::Errors::PulpError

* Thu Apr 14 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.18-1
- BZ #1326941 - content view publish creates extra metadata generation task, slowing publish time
- BZ #1326948 - Incremental update failed when specifying multiple errata
- BZ #1318938 - Cannot register content host
- BZ #1315194 - Unregister host from webUI doesn't work, firebug raises error

* Tue Apr 12 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.17-1
- BZ #1322062 - Successfully updating a host with an errata results in warning on tas

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.16-1
- BZ #1324884 - hammer activationkey product-content command faile

* Wed Apr 06 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.15-1
- BZ #1313751 - Email Notifications show 'katello', not Satellite.
- BZ #1319278 - Unable to select various tabs under puppetca tab of smart-proxy
- BZ #1321089 - Bulk action via remote execution does not work with multiple hosts
- BZ #1276479 - Deleting composite view version fails with TypeError: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject
- BZ #1315278 - Incremental update using cli does not update systems when --update-all-systems=true is passed
- BZ #1268089 - Need to hide "Docker Images" tab from Red Hat Repositorie

* Mon Apr 04 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.14-1
- BZ #1323769 - switch default policy to 'immediate'
- BZ #1320422 - Registering a atomic host with satellite server failed with validation error:  Medium Atomic_media does not belong to RedHat 7.2 operating system
- BZ #1321020 - kexec template not automatically associated with Satellite created operating systems
- BZ #1316110 - hammer import repository-enable/content-views fails to create any CVs
- BZ #1321137 - Syncing to a capsule without pulp-katello package does not work
- BZ #1321137 - Syncing to a capsule without pulp-katello package does not wor

* Mon Apr 04 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.13-1
- BZ #1319309 - duplicate key value violates unique constraint errors
- BZ #1250610 - hammer activation key product-content does not filter content based on organization
- BZ #1321129 - Once you add a repo to a content view, you cannot remove it
- BZ #1321045 - no validation for default_download_policy setting value
- BZ #1318016 - hypervisor is not displaying guest hosts on the content host details page
- BZ #1244704 - Nightly repo syncs often result in duplicate key error
- BZ #1317968 - Publishing or Promoting a content view with a non-running capsule pauses the task with error
- BZ #1322565 - automatic locale translatio

* Tue Mar 29 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.12-1
- BZ #1313854 - Default provisioning template does not try to configure ssh keys
- BZ #1318137 - Increase CDN URL characters length (>255) to contain ISS exported directory path
- BZ #1317986 - Failed pulp tasks are not resumable.
- BZ #1314695 - Upgrade from 6.2 snap2 to snap2.1 failed at step errata_import failed
- BZ #1317771 - On copy any existing CV raises error: NoMethodError: undefined method composite? for nil:NilClass
- BZ #1288148 - Satellite fails to propagate incremental updates to Composite Content views
- BZ #1316944 - Reduce the number of dynflow actions on a capsule sync
- BZ #1316944 - Reduce the number of dynflow actions on a capsule sync
- BZ #1296334 - Unsuccessful Errata install marked success

* Thu Mar 24 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.10-1
- BZ #1315610 - Routing errors due to missing .css files on navigating sync status page

* Tue Mar 22 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.9-1
-

* Mon Mar 21 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.8-1
-

* Sat Mar 12 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.7-1
-

* Tue Mar 08 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.6-1
-

* Sun Mar 06 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.5-1
-

* Wed Mar 02 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.4-1
-

* Tue Mar 01 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.3-3
- Remove mainver from use in rubygem-katello for better automation
  (ericdhelms@gmail.com)

* Tue Mar 01 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.3-2
- Remove errant foreman version requirement from prior testing
  (ericdhelms@gmail.com)

* Tue Mar 01 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.3-1
- Fixes #13676 - Creating sub package for ostree (paji@redhat.com)
- Build require foreman in rubygem-katello (ericdhelms@gmail.com)

* Wed Feb 24 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.1-1
- Update rubygem-katello to 3.0.0.1 (ericdhelms@gmail.com)

* Tue Feb 23 2016 Eric D Helms <ericdhelms@gmail.com> 3.0.0.0-1
- Update rubygem-katello to 3.0.0.0 (ericdhelms@gmail.com)

* Tue Feb 23 2016 Eric D Helms <ericdhelms@gmail.com> 2.5.0.1-2
- Cleanup requires across katello and installer (ericdhelms@gmail.com)

* Wed Feb 10 2016 Eric D Helms <ericdhelms@gmail.com> 2.5.0.1-1
- Update rubygem-katello to 2.5.0.1 (ericdhelms@gmail.com)

* Thu Jan 28 2016 Eric D Helms <ericdhelms@gmail.com> 2.5.0-1
- new package built with tito

* Wed Jul 29 2015 Eric D. Helms <ericdhelms@gmail.com> 2.4.0-1.nightly
- new package built with tito

* Mon Jul 06 2015 Stephen Benjamin <stbenjam@redhat.com> 2.4.0-2
- Version bump to 2.4.0 (stbenjam@redhat.com)

* Mon Jul 06 2015 Stephen Benjamin <stbenjam@redhat.com>
- Version bump to 2.4.0 (stbenjam@redhat.com)

* Mon Jul 06 2015 Stephen Benjamin <stbenjam@redhat.com> 2.4.0-1
- Update to Katello 2.4.0
* Mon Jul 06 2015 Stephen Benjamin <stbenjam@redhat.com> 2.3.0-2
- adding myself to contrib (chrobert@redhat.com)
- Refs #10962 - limit foreman tasks in rpm specs to < 0.7.0 (inecas@redhat.com)
- Fixes #10830 - Humanized state description for Pulp and Candlepin async
  actions (inecas@redhat.com)
  (jlsherrill@gmail.com)
- fixes #10934 - per-page/page options for puppet-module list, BZ1202050
  (komidore64@gmail.com)
- Fixes #10904: fix errata CH selection, BZ 1233901. (walden@redhat.com)
- fixes #10903 - remove reference to non-existent methods
  (thomasmckay@redhat.com)
- Fixes #10705: filter out non-installable Systems BZ1228292.
  (walden@redhat.com)
- fixes #10901 - skip all errors on sync tasks (jsherril@redhat.com)
- fixes #8690 - converting repository to scoped search (jsherril@redhat.com)
- fixes #10886 - adding more conditions for readable repos
  (jsherril@redhat.com)
- Fixes #8693: Convert content view puppet module to scoped search.
  (ericdhelms@gmail.com)
- refs #10725 - run ping check as anonymous admin (jsherril@redhat.com)
- fixes #10459,#10435 - do not create a puppet env for cvs with no modules
  (jsherril@redhat.com)
- Fixes #10824 - Refactoring errata index to show available errata using a url
  parameter. This is part of the conversion to scoped search for the
  filter_rules. By using a url parameter, the available errata is shown using
  the index of errata, which will make scoped search easier to implement.
  (jomitsch@redhat.com)
- fixes #10871 - Loads product content tab on content host, BZ1230782
  (cfouant@redhat.com)
- Fixes #10857: Ensure DestroyMedium filename and action name are the same.
  (ericdhelms@gmail.com)
- Fixes #10827: replace usages of deprecated bst-infinite-scroll.
  (walden@redhat.com)
  (david@memorious.net)
- fixes #10536 - changes 404 exceptions from error to info, BZ1136081
  (cfouant@redhat.com)
- Fixes #10822 - Don't clean up env content during CV remove
  (daviddavis@redhat.com)
- fixes #10820 - collect tasks dump with foreman-debug (jsherril@redhat.com)
- refs #7162 - fixing capsule sync timeout (jsherril@redhat.com)
- Fixes #10732: Remove attributes from user and use admin for remote calls.
  (ericdhelms@gmail.com)
- fixes #10735 - remove default and custom info (stbenjam@redhat.com)
- Fixes #10809: Remove unused doc/ directory. (ericdhelms@gmail.com)
- Fixes #10810: Remove unused public/ directory. (ericdhelms@gmail.com)
  (mmccune@gmail.com)
- Fixes #10804 - Fixing full_path for docker repos BZ1230777
  (daviddavis@redhat.com)
- Fixes #10798: fix overlap of CVV repository selector BZ 1228390.
  (walden@redhat.com)
  (jlsherrill@gmail.com)
- Fixes #10790 - Package groups aren't listed in content view package group
  filter rules (jomitsch@redhat.com)
- Fixes #10786: remove content dashboard settings button, BZ 1225949.
  (walden@redhat.com)
- Refs #7096 - rename the model in seeds (mhulan@redhat.com)
- fixes #10725 - adding backend check prior during plan of some actions
  (jsherril@redhat.com)
- Fixes #10775: only show one message for CVV page BZ 1230408.
  (walden@redhat.com)
- Fixes #10774: fix content host errata results BZ 1228316. (walden@redhat.com)
- Fixes #10724 - Peppier katello:reindex (paji@redhat.com)
- Fixes #10640: only show one repo per CVV BZ 1223699. (walden@redhat.com)
  (thomasmckay@redhat.com)
- refs #10655 - fixing a couple more issues with org delete
  (jsherril@redhat.com)
- fixes #8586 - fixing race condition on errata index (jsherril@redhat.com)
- Fixes #7162 - timeout capsule sync task (dtsang@redhat.com)
- Fixes #10671 - Fix upload on gpg_key BZ1204602 (sloranz@xantham.com)
- fixes #10719 - removed extra unused arg to import_products_from_cp
  (thomasmckay@redhat.com)
- fixes #10718 - correctly show repos (thomasmckay@redhat.com)
- Fixes #10681:  show correct installable count BZ 1226997. (walden@redhat.com)
- Fixes #10742: Remove legacy User Notice and Notices. (ericdhelms@gmail.com)
- Fixes #10601: Destroy installation media when repository is destroyed.
  (ericdhelms@gmail.com)
- Fixes #10697 - Improved CP SetContent add/delete logic (paji@redhat.com)
- Fixes #10705: fix errata CH installable filter BZ 1228292.
  (walden@redhat.com)
- Fixes #10704: correct text on errata confirm page, BZ 1228281.
  (walden@redhat.com)
- Fixes #10551 - Add scoped search for content view version by version and
  repository (jomitsch@redhat.com)
- Fixes #10585: Migrate to custom logging now in Foreman core.
  (ericdhelms@gmail.com)
- fixes #10696 - Fixes org creation error from 500 to 422 (cfouant@redhat.com)
- fixes #10690 - fixing possible race condition with creating operatingsystems
  (jsherril@redhat.com)
- Refs #7096 - Fix migration and tests using old model (mhulan@redhat.com)
- Fixes #10734: Remove unused/legacy search history and search favorites.
  (ericdhelms@gmail.com)
- fixes #10572 - send e-mail to all subscribers (stbenjam@redhat.com)
  (walden@redhat.com)
- Fixes #10631: hide errata confirm if no errata IDs BZ 1223963.
  (walden@redhat.com)
- Fixes #10622 - Fixes javascript traceback when removing repositories
  (aruzicka@redhat.com)
- fixes #10669 - Fixes issue with actkey name not updating, BZ1221685
  (cfouant@redhat.com)
- fixes #10655 - fix organization delete (jsherril@redhat.com)
- Fixes #10733: Remove Katello help tips. (ericdhelms@gmail.com)
- Fixes #10381 - reduce #queries on products page (dtsang@redhat.com)
  (thomasmckay@redhat.com)
- fixes #10351 - Fixes issue with CVV restrictive promotion sequence in UI,
  BZ1169876 (cfouant@redhat.com)
- Fixes #10593: Log message instead of failing when no mail recipients.
  (ericdhelms@gmail.com)
  (jlsherrill@gmail.com)
- fixes #10281 - do not display inaccessible red hat repos for enable
  (thomasmckay@redhat.com)
- fixes #10537 - Fixes toggle issue when switching between subscription panes
  on content host, BZ1207488 (cfouant@redhat.com)
- fixes #10569 - convert products to scoped search (jsherril@redhat.com)
- Fixes #10620 - Repos no longer protected by default (paji@redhat.com)
- Fixes #10617: don't use scroll on unpaged tables BZ 1223968.
  (walden@redhat.com)
- fixes 10598 - hammer content-host errata list failed, BZ1223926
  (komidore64@gmail.com)
- fixes #10614 - omit device network option on el5 kickstart
  (jsherril@redhat.com)
  (david@memorious.net)
- Fixes #10590 : The product help message should not reference a repository
  (bkearney@redhat.com)
- Fixes #10588: Fix typo that broke listing puppet modules for a version.
  (ericdhelms@gmail.com)
- Fixes #10575: add available content to AK products index BZ 1223743.
  (walden@redhat.com)
- fixes #10570 - removing provider elasticsearch (jsherril@redhat.com)
- Fixes #9924 - Fixing content view history bug in elasticsearch
  (daviddavis@redhat.com)
- fixes #10428 - katello-service and related scripts shouldn't be symlinks
  (stbenjam@redhat.com)
  (david@memorious.net)
- Fixes #10014 - Move version api to scoped search BZ1192162
  (daviddavis@redhat.com)
- Fixes #10498: Content view comparison wasn't showing repositories.
  (ericdhelms@gmail.com)
- fixes #10489 - adding two timeouts for content tasks (jsherril@redhat.com)
- Fixes #10540: correct product link on errata repo page BZ 1222660.
  (walden@redhat.com)
- fixes #10536 - Removes traceback from successful CH registration, BZ1136081
  (cfouant@redhat.com)
- Fixes #10525: remove unnecessary reference to tipsy, BZ 1222135.
  (walden@redhat.com)
- fixes #10523 - use admin user for facts updating (jsherril@redhat.com)
  (thomasmckay@redhat.com)
- fixes #10514 - handle case where content host no longer exists
  (thomasmckay@redhat.com)
- fixes #10495 - create custom products with metadata_expire set to 1
  (jsherril@redhat.com)
  (david@memorious.net)
  (thomasmckay@redhat.com)
- Fixes #10488: Ensure ID exists when environment details are loaded.
  (ericdhelms@gmail.com)
- Fixes #10381 - reduce #queries on products page (dtsang@redhat.com)
- Fixes #10152 - reduce num querys in sys#index (dtsang@redhat.com)
- fixes #10484 - use virt-who rhsm user for hypervisor checkin
  (thomasmckay@redhat.com)
- Fixes #10388 - Removing license header from remaining files
  (daviddavis@redhat.com)
- Refs #10388 - Removing license header from js test files
  (daviddavis@redhat.com)
- Refs #10388 - Remove license from javascript non-test files
  (daviddavis@redhat.com)
  (thomasmckay@redhat.com)
- Refs #10473 - remove prior option from environment update
  (jsherril@redhat.com)
- Fixes #10455: Validate the presence of the composite field as a boolean.
  (ericdhelms@gmail.com)
- fixes #8698 - migrate content view filters to scoped search
  (jsherril@redhat.com)
- fixes #10428 - katello-service package should actually have katello-service
  (stbenjam@redhat.com)
- fixes #10422 - send hash to capsule sync plan as expected
  (stbenjam@redhat.com)
- Fixes #9327: Update to Bastion 1.X and fix for eslint. (ericdhelms@gmail.com)
- Fixes #8692: Move content views to scoped search. (ericdhelms@gmail.com)
  (eric.d.helms@gmail.com)
- Fixes #10426: Ensure content host exists before updating in migration.
  (ericdhelms@gmail.com)
- fixes #10424 - remove required flag from content host update params
  (thomasmckay@redhat.com)
- Fixes #10308: prevent ISE on errata content hosts page BZ1216200.
  (walden@redhat.com)
- Refs #10388 - Removing license header from test folder
  (daviddavis@redhat.com)
  (david@memorious.net)
- Refs #10388 - Removing license header from other app folders
  (daviddavis@redhat.com)
  (thomasmckay@redhat.com)
  (david@memorious.net)
- Refs #10388 - Removing license header from ruby model files
  (daviddavis@redhat.com)
- Refs #10388 - Removing license header from spec, actions, config, lib
  (daviddavis@redhat.com)
- fixes #10396 - display better errors on repo metadata sync fail
  (jsherril@redhat.com)
- Fixes #10383: change errata issued/updated columns to date, BZ1215756.
  (walden@redhat.com)
- Fixes #10257: Connect capsule and its content host at the DB level.
  (ericdhelms@gmail.com)
- Fixes #10227: remove tipsy to fix tooltip issues, BZ 1213556.
  (walden@redhat.com)
- fixes #10331 - fix assocation from lifecycle environment to hosts
  (stbenjam@redhat.com)
- Refs #10224 - release python-isodate for fedoras (jsherril@redhat.com)
- fixes #6781 - provide a way to restart capsule services (stbenjam@redhat.com)
- Fixes #10309: prevent ISE on CH bulk actions errata BZ1216195.
  (walden@redhat.com)
  (inecas@redhat.com)
- Fixes #10249 - treat canceled tasks as errors (inecas@redhat.com)
- fixes #10229 - centralizing and isolating capsule communication
  (jsherril@redhat.com)
- Fixes #10258: hide "published at" section if puppet BZ 1131940.
  (walden@redhat.com)
- Refs #10224 - updating comps for f20, f21 (jsherril@redhat.com)
- fixes #10246 - hypervisors do not have pulp record (thomasmckay@redhat.com)
- Fixes #5684: cancel repository discovery is now dynflowed
  (oprazak@redhat.com)
- fixes #10225 - handle candlepin events cleanly (thomasmckay@redhat.com)
- fixes #10218 - incorrect usage of subscription guest host uuid
  (thomasmckay@redhat.com)
  (thomasmckay@redhat.com)
- fixes #9655 - reindex content hosts and ignore warnings
  (thomasmckay@redhat.com)
- Fixes #10185: Lock openjdk to less than 1.8.0.45. (ericdhelms@gmail.com)
  (thomasmckay@redhat.com)
- fixes #10144 - pass last-checkin time through to candlepin
  (thomasmckay@redhat.com)
- Fixes #10149: Distribute katello-client-repos RPM in client repos.
  (ericdhelms@gmail.com)
- Fixes #9867: Update katello-remove for latest packages.
  (ericdhelms@gmail.com)
- Fixes #8544: Carry subscription-manager for EL5 in our client repos.
  (ericdhelms@gmail.com)
- Fixes #10140: allow sync plans start date to be editable, BZ 1177901.
  (walden@redhat.com)
- Fixes #10132: Allow viewer role to view content dashboard.
  (ericdhelms@gmail.com)
- fixes #10127 - remove dynflow stacktrace when unregistering, BZ 1208100
  (komidore64@gmail.com)
- Fixes #9818: Properly propogate enabled state for sync plans to Pulp.
  (ericdhelms@gmail.com)
- fixes #9354 - fixing error with import_errata rake task (jsherril@redhat.com)
- Fixes #10006: Host collections can be listed on AK key page again.
  (ericdhelms@gmail.com)
- Fixes #9915: Backend cleanup script handles uebercert and hypervisors.
  (ericdhelms@gmail.com)
- Fixes #9929: Errata parameter was improperly named for repositories.
  (ericdhelms@gmail.com)
- fixes #10028 - Fixes issue with enabling non-yum repos (cfouant@redhat.com)
- fixes #9951 - fixing package update during inc update (jsherril@redhat.com)
- fixes #10012 - properly display conent host tasks (jsherril@redhat.com)
- Fixes #10011: fix long URI error when applying errata BZ 1208678.
  (walden@redhat.com)
- fixes #9984 - remove required flag from DELETE /subscriptions apipie
  (thomasmckay@redhat.com)
- Fixes #9933: use correct param for search BZ1205855. (walden@redhat.com)
- fixes #9786 - fixing searching and adding pagination to hosts errata
  (jsherril@redhat.com)
- Fixes #9992: fix no rows message on errata CH page BZ 1208216.
  (walden@redhat.com)
- Refs #9979: Other tests were not setting User.current when they should.
  (ericdhelms@gmail.com)
- Fixes #9968: Remove unused kill commands and cleanup script.
  (ericdhelms@gmail.com)
- Fixes #9978 - Sets an env content id correctly in cp (paji@redhat.com)
- Fixes #9986: Lock 'logging' gem to 1.X (ericdhelms@gmail.com)
- Fixes #9979: Set User.current in Organization spec tests.
  (ericdhelms@gmail.com)
- fixes #9935 - pass correct id to install errata for inc updates
  (jsherril@redhat.com)
- fixes #9923 - replaced Author column with Description in cv versions
  (thomasmckay@redhat.com)
- Fixes #9934: do not refresh errata on initial load BZ 1206704.
  (walden@redhat.com)
- Fixes #9927:  add missing no row messages, BZ 1206611. (walden@redhat.com)
- fixes #9922 - typo in subscription-products.html (thomasmckay@redhat.com)
- fixes #9889 - hides delete option when values are nil, BZ1186514
  (cfouant@redhat.com)
- fixes #9914 - fixing uninitialized constant error on incremental update
  (jsherril@redhat.com)
- Fixes #9913: ensure unique count on errata CH counts, BZ1206329.
  (walden@redhat.com)
- Fixes #9902 - Updated incorrect cv association (paji@redhat.com)
  (david@memorious.net)
- fixes #9899 - reindex all org subscriptions during manifest destroy
  (jsherril@redhat.com)
- Fixes #9866: Properly remove Pulp sync schedule from products.
  (ericdhelms@gmail.com)
- Fixes #9890 - Add content_view_id to systems API (daviddavis@redhat.com)
- fixes #9898 - Activation Key hint more explicit in registration page,
  BZ1201425 (cfouant@redhat.com)
- fixes #9876 - Adds product content override values to act key API, BZ1180282
  (cfouant@redhat.com)
- refs #8477 - remove defaulting of foreman templates (stbenjam@redhat.com)
  (david@memorious.net)
- Fixes #9887: remove search on activation key show, BZ1204929.
  (walden@redhat.com)
- fixes #9883 - making auto attach run after consumer update
  (jsherril@redhat.com)
- refs #9628 - change prior to prior_id, BZ1189478 (komidore64@gmail.com)
- Fixes #9872: Properly destroy systems that are of type Hypervisor.
  (ericdhelms@gmail.com)
  (david@memorious.net)
- Fixes #9839: show no rows message if table isn't working BZ 1203851.
  (walden@redhat.com)
- fixes #9478 - update system env and cv in candlepin on cv remove
  (jsherril@redhat.com)
- fixes #9802 - convert system bulk errata action to dynflow
  (jsherril@redhat.com)
- Fixes #9838 - additional pkgs for .30 qpid (dtsang@redhat.com)
- Fixes #9423 - Fix updating of docker upstream name (daviddavis@redhat.com)
- Fixes #9755 - Adding docker_images method to cvv (daviddavis@redhat.com)
- fixes #9799 - changing structure of incremental update around composites
  (jsherril@redhat.com)
- Fixes #9069 - support mrg31 (jmontleo@redhat.com)
- Fixes #9796: fix translations for subscription loading screens.
  (walden@redhat.com)
  (eric.d.helms@gmail.com)
- fixes #9798 - don't plan CVPE deletion if this is the default version,
  BZ1076568 (komidore64@gmail.com)
  (eric.d.helms@gmail.com)
- Fixes #9608: correct repository count, BZ 1197836. (walden@redhat.com)
- fixes #9792 - unregister content host UI modal blank (thomasmckay@redhat.com)
- fixes #9790 - Adds tool-tip to actkey UI upon env selection
  (cfouant@redhat.com)
- Fixes #9783:  ensure errata on dashboard are unique, BZ 1187704.
  (walden@redhat.com)
  (thomasmckay@redhat.com)
- Refs #4478 - API localization - Apipie setup moved
  (martin.bacovsky@gmail.com)
- Fixes #9737: fix CH filter for incremental update, BZ 1200441.
  (walden@redhat.com)
- fixes #9750 - always reindex errata packages (jsherril@redhat.com)
- fixes #9722 - recognize and show errors on host content actions
  (jsherril@redhat.com)
- Fixes #9741 - Fixed a puppet module count error in a CVV (paji@redhat.com)
- fixes #9739 - replace reference to delete_products w/ destroy_products
  permission (thomasmckay@redhat.com)
- Fixes #9730: show message when no CV versions exist, BZ1201410.
  (walden@redhat.com)
- Fixes #9658: correct CH count when applying errata, BZ1198815.
  (walden@redhat.com)
- Fixes #9735: Fix package/puppet module incremental update.
  (ericdhelms@gmail.com)
- Fixes #9732: Incorrect apiepie docs for incremental update.
  (ericdhelms@gmail.com)
- Fixes #9731: show success/error messages when updating filter, BZ1201406.
  (walden@redhat.com)
- Fixes #9697: hide confirmation after bulk action or cancel, BZ 1199584.
  (walden@redhat.com)
- Refs #9518, #9310 - Create containers in API using katello repos
  (paji@redhat.com)
- Fixes #9707: Cleanup requirement on rubygems-devel. (ericdhelms@gmail.com)
- fixes #9566 - only destroy repo in finalize for direct repo deletes
  (jsherril@redhat.com)
- Refs #8710 - katello-debug script is no longer a symlink
  (lzap+git@redhat.com)
- Fixes #9698: use correct styling for association tables, BZ 1199626.
  (walden@redhat.com)
  (thomasmckay@redhat.com)
- Fixes #9586: Content view comparison will provide results again.
  (ericdhelms@gmail.com)
- fixes #9681 - simplify presented content override choices
  (thomasmckay@redhat.com)
  (thomasmckay@redhat.com)
- Fixes #9688 - Uses cdn url scheme for docker repo feeds (paji@redhat.com)
- Fixes #9583: improve repository deletion responses BZ 1166365.
  (walden@redhat.com)
- Fixes #9685: Allow searching on capital letters for Packages in CS.
  (ericdhelms@gmail.com)
- Fixes #8570: Show modal dialog before deletion. (ericdhelms@gmail.com)
- Fixes #9580: fix N+1 queries on activation key list, BZ 1196742.
  (walden@redhat.com)
- fixes #7354 - corrected state permission for import manifest
  (thomasmckay@redhat.com)
- Fixes #9670: show applicable errata message on CH errata page, BZ1194773.
  (walden@redhat.com)
- fixes #9664 - Add links to sync errata mail header (stbenjam@redhat.com)
- refs #9637 - add python-amqp to client repos (jsherril@redhat.com)
  (thomasmckay@redhat.com)
- fixes #9647 - speed up puppet class import (jsherril@redhat.com)
- Fixes #8689 - scoped search for host collection (sloranz@xantham.com)
- fixes #9646 - call dynflow to update facts sent via rhsm and virt-who
  (thomasmckay@redhat.com)
- Fixes #9610 - Docker Content now hidden for composite cv (paji@redhat.com)
  (thomasmckay@redhat.com)
  (stephen@bitbin.de)
- fixes #9637 - adding qpid-proton-c to client repos (jsherril@redhat.com)
- fixes #9360 - set feature flag host collection actions
  (thomasmckay@redhat.com)
  (stephen@bitbin.de)
- fixes #9629 - fix env delete, as it no longer needs indexing
  (jsherril@redhat.com)
- Fixes #9511: fix typo on manifest update page. (walden@redhat.com)
- fixes #9626 - sort package names on incremental update task details
  (jsherril@redhat.com)
  (thomasmckay@redhat.com)
  (david@memorious.net)
- fixes #9622 - remove unused product rabl attribute (jsherril@redhat.com)
- refs #8175 - require qpid-dispatch-router (stbenjam@redhat.com)
  (jlsherrill@gmail.com)
- fixes #9587 - remove model reloading from tests (jsherril@redhat.com)
- fixes #9462,#9557,#9556 - various inherited hostgroup issues
  (jsherril@redhat.com)
- Fixes #9608 add repository/puppet module to CV components BZ 1197836.
  (walden@redhat.com)
- Fixes #9582: display content tab after content view is loaded BZ1196720.
  (walden@redhat.com)
- fixes #9577 - fixing host single and bulk delete (jsherril@redhat.com)
- Fixes #9344 - Changing descriptions to text fields BZ1177158
  (daviddavis@redhat.com)
- fixes #9585 - speed up enabling redhat repos (jsherril@redhat.com)
- fixes #9502, #9503 - verify errata exist before application
  (stbenjam@redhat.com)
- Fixes #9579: Limit bastion to less than 1.0.0 (ericdhelms@gmail.com)
- Fixes #7796 - Enable docker repos from the CDN (paji@redhat.com)
- Fixes #8964: Show repository count for composite content views.
  (ericdhelms@gmail.com)
- Fixes #9345: fix content view promotion in IE, BZ1168457. (walden@redhat.com)
- Fixes #9376: Calculate next_sync time properly based on UTC.
  (ericdhelms@gmail.com)
- Fixes #9564: limit components rabl to fix N+1 queries, BZ 1177609.
  (walden@redhat.com)
- fixes #9521 - activate and deactivate pulp nodes (jsherril@redhat.com)
- Fixes #9534: fix N+1 queries on content view index. (walden@redhat.com)
- Fixes #9554: Fix broken package display on content search.
  (ericdhelms@gmail.com)
  (cfouant@redhat.com)
  (cfouant@redhat.com)
- refs #8175 - add new proton/dispatcher packages to comps
  (jsherril@redhat.com)
  (david@memorious.net)
- fixes #8728, #8756 - use capsule RPM for registering a content host
  (stbenjam@redhat.com)
- Automatic commit of package [katello] release [2.3.0-1].
  (ericdhelms@gmail.com)
- Update katello to 2.3.0 (ericdhelms@gmail.com)
- Fixes #9539 - Remove unused erroneous file (daviddavis@redhat.com)
- fixes #9405 - Attaches custom products when registering with activation key
  (cfouant@redhat.com)
- refs #8175 - add qpid dispatch router to services list (stbenjam@redhat.com)
- fixes #8956, #9337 - remove unused scripts and files from specfile
  (mmccune@redhat.com)
- fixes #9422 - limit 24 hour guest subscription visibility
  (thomasmckay@redhat.com)
- fixes #8892, #9340 - Validates content label and override value, BZ1173723,
  BZ1187750 (cfouant@redhat.com)
- Fixes #9400 - configure networking in finish template (mhulan@redhat.com)
- Fixes #9132 - use networking snippet during provisioning (mhulan@redhat.com)
- refs #8861 - adding layout_helper to use trunc with tooltip helper
  (orabin@redhat.com)

* Mon Jul 06 2015 Stephen Benjamin <stbenjam@redhat.com>
- adding myself to contrib (chrobert@redhat.com)
- Refs #10962 - limit foreman tasks in rpm specs to < 0.7.0 (inecas@redhat.com)
- Fixes #10830 - Humanized state description for Pulp and Candlepin async
  actions (inecas@redhat.com)
  (jlsherrill@gmail.com)
- fixes #10934 - per-page/page options for puppet-module list, BZ1202050
  (komidore64@gmail.com)
- Fixes #10904: fix errata CH selection, BZ 1233901. (walden@redhat.com)
- fixes #10903 - remove reference to non-existent methods
  (thomasmckay@redhat.com)
- Fixes #10705: filter out non-installable Systems BZ1228292.
  (walden@redhat.com)
- fixes #10901 - skip all errors on sync tasks (jsherril@redhat.com)
- fixes #8690 - converting repository to scoped search (jsherril@redhat.com)
- fixes #10886 - adding more conditions for readable repos
  (jsherril@redhat.com)
- Fixes #8693: Convert content view puppet module to scoped search.
  (ericdhelms@gmail.com)
- refs #10725 - run ping check as anonymous admin (jsherril@redhat.com)
- fixes #10459,#10435 - do not create a puppet env for cvs with no modules
  (jsherril@redhat.com)
- Fixes #10824 - Refactoring errata index to show available errata using a url
  parameter. This is part of the conversion to scoped search for the
  filter_rules. By using a url parameter, the available errata is shown using
  the index of errata, which will make scoped search easier to implement.
  (jomitsch@redhat.com)
- fixes #10871 - Loads product content tab on content host, BZ1230782
  (cfouant@redhat.com)
- Fixes #10857: Ensure DestroyMedium filename and action name are the same.
  (ericdhelms@gmail.com)
- Fixes #10827: replace usages of deprecated bst-infinite-scroll.
  (walden@redhat.com)
  (david@memorious.net)
- fixes #10536 - changes 404 exceptions from error to info, BZ1136081
  (cfouant@redhat.com)
- Fixes #10822 - Don't clean up env content during CV remove
  (daviddavis@redhat.com)
- fixes #10820 - collect tasks dump with foreman-debug (jsherril@redhat.com)
- refs #7162 - fixing capsule sync timeout (jsherril@redhat.com)
- Fixes #10732: Remove attributes from user and use admin for remote calls.
  (ericdhelms@gmail.com)
- fixes #10735 - remove default and custom info (stbenjam@redhat.com)
- Fixes #10809: Remove unused doc/ directory. (ericdhelms@gmail.com)
- Fixes #10810: Remove unused public/ directory. (ericdhelms@gmail.com)
  (mmccune@gmail.com)
- Fixes #10804 - Fixing full_path for docker repos BZ1230777
  (daviddavis@redhat.com)
- Fixes #10798: fix overlap of CVV repository selector BZ 1228390.
  (walden@redhat.com)
  (jlsherrill@gmail.com)
- Fixes #10790 - Package groups aren't listed in content view package group
  filter rules (jomitsch@redhat.com)
- Fixes #10786: remove content dashboard settings button, BZ 1225949.
  (walden@redhat.com)
- Refs #7096 - rename the model in seeds (mhulan@redhat.com)
- fixes #10725 - adding backend check prior during plan of some actions
  (jsherril@redhat.com)
- Fixes #10775: only show one message for CVV page BZ 1230408.
  (walden@redhat.com)
- Fixes #10774: fix content host errata results BZ 1228316. (walden@redhat.com)
- Fixes #10724 - Peppier katello:reindex (paji@redhat.com)
- Fixes #10640: only show one repo per CVV BZ 1223699. (walden@redhat.com)
  (thomasmckay@redhat.com)
- refs #10655 - fixing a couple more issues with org delete
  (jsherril@redhat.com)
- fixes #8586 - fixing race condition on errata index (jsherril@redhat.com)
- Fixes #7162 - timeout capsule sync task (dtsang@redhat.com)
- Fixes #10671 - Fix upload on gpg_key BZ1204602 (sloranz@xantham.com)
- fixes #10719 - removed extra unused arg to import_products_from_cp
  (thomasmckay@redhat.com)
- fixes #10718 - correctly show repos (thomasmckay@redhat.com)
- Fixes #10681:  show correct installable count BZ 1226997. (walden@redhat.com)
- Fixes #10742: Remove legacy User Notice and Notices. (ericdhelms@gmail.com)
- Fixes #10601: Destroy installation media when repository is destroyed.
  (ericdhelms@gmail.com)
- Fixes #10697 - Improved CP SetContent add/delete logic (paji@redhat.com)
- Fixes #10705: fix errata CH installable filter BZ 1228292.
  (walden@redhat.com)
- Fixes #10704: correct text on errata confirm page, BZ 1228281.
  (walden@redhat.com)
- Fixes #10551 - Add scoped search for content view version by version and
  repository (jomitsch@redhat.com)
- Fixes #10585: Migrate to custom logging now in Foreman core.
  (ericdhelms@gmail.com)
- fixes #10696 - Fixes org creation error from 500 to 422 (cfouant@redhat.com)
- fixes #10690 - fixing possible race condition with creating operatingsystems
  (jsherril@redhat.com)
- Refs #7096 - Fix migration and tests using old model (mhulan@redhat.com)
- Fixes #10734: Remove unused/legacy search history and search favorites.
  (ericdhelms@gmail.com)
- fixes #10572 - send e-mail to all subscribers (stbenjam@redhat.com)
  (walden@redhat.com)
- Fixes #10631: hide errata confirm if no errata IDs BZ 1223963.
  (walden@redhat.com)
- Fixes #10622 - Fixes javascript traceback when removing repositories
  (aruzicka@redhat.com)
- fixes #10669 - Fixes issue with actkey name not updating, BZ1221685
  (cfouant@redhat.com)
- fixes #10655 - fix organization delete (jsherril@redhat.com)
- Fixes #10733: Remove Katello help tips. (ericdhelms@gmail.com)
- Fixes #10381 - reduce #queries on products page (dtsang@redhat.com)
  (thomasmckay@redhat.com)
- fixes #10351 - Fixes issue with CVV restrictive promotion sequence in UI,
  BZ1169876 (cfouant@redhat.com)
- Fixes #10593: Log message instead of failing when no mail recipients.
  (ericdhelms@gmail.com)
  (jlsherrill@gmail.com)
- fixes #10281 - do not display inaccessible red hat repos for enable
  (thomasmckay@redhat.com)
- fixes #10537 - Fixes toggle issue when switching between subscription panes
  on content host, BZ1207488 (cfouant@redhat.com)
- fixes #10569 - convert products to scoped search (jsherril@redhat.com)
- Fixes #10620 - Repos no longer protected by default (paji@redhat.com)
- Fixes #10617: don't use scroll on unpaged tables BZ 1223968.
  (walden@redhat.com)
- fixes 10598 - hammer content-host errata list failed, BZ1223926
  (komidore64@gmail.com)
- fixes #10614 - omit device network option on el5 kickstart
  (jsherril@redhat.com)
  (david@memorious.net)
- Fixes #10590 : The product help message should not reference a repository
  (bkearney@redhat.com)
- Fixes #10588: Fix typo that broke listing puppet modules for a version.
  (ericdhelms@gmail.com)
- Fixes #10575: add available content to AK products index BZ 1223743.
  (walden@redhat.com)
- fixes #10570 - removing provider elasticsearch (jsherril@redhat.com)
- Fixes #9924 - Fixing content view history bug in elasticsearch
  (daviddavis@redhat.com)
- fixes #10428 - katello-service and related scripts shouldn't be symlinks
  (stbenjam@redhat.com)
  (david@memorious.net)
- Fixes #10014 - Move version api to scoped search BZ1192162
  (daviddavis@redhat.com)
- Fixes #10498: Content view comparison wasn't showing repositories.
  (ericdhelms@gmail.com)
- fixes #10489 - adding two timeouts for content tasks (jsherril@redhat.com)
- Fixes #10540: correct product link on errata repo page BZ 1222660.
  (walden@redhat.com)
- fixes #10536 - Removes traceback from successful CH registration, BZ1136081
  (cfouant@redhat.com)
- Fixes #10525: remove unnecessary reference to tipsy, BZ 1222135.
  (walden@redhat.com)
- fixes #10523 - use admin user for facts updating (jsherril@redhat.com)
  (thomasmckay@redhat.com)
- fixes #10514 - handle case where content host no longer exists
  (thomasmckay@redhat.com)
- fixes #10495 - create custom products with metadata_expire set to 1
  (jsherril@redhat.com)
  (david@memorious.net)
  (thomasmckay@redhat.com)
- Fixes #10488: Ensure ID exists when environment details are loaded.
  (ericdhelms@gmail.com)
- Fixes #10381 - reduce #queries on products page (dtsang@redhat.com)
- Fixes #10152 - reduce num querys in sys#index (dtsang@redhat.com)
- fixes #10484 - use virt-who rhsm user for hypervisor checkin
  (thomasmckay@redhat.com)
- Fixes #10388 - Removing license header from remaining files
  (daviddavis@redhat.com)
- Refs #10388 - Removing license header from js test files
  (daviddavis@redhat.com)
- Refs #10388 - Remove license from javascript non-test files
  (daviddavis@redhat.com)
  (thomasmckay@redhat.com)
- Refs #10473 - remove prior option from environment update
  (jsherril@redhat.com)
- Fixes #10455: Validate the presence of the composite field as a boolean.
  (ericdhelms@gmail.com)
- fixes #8698 - migrate content view filters to scoped search
  (jsherril@redhat.com)
- fixes #10428 - katello-service package should actually have katello-service
  (stbenjam@redhat.com)
- fixes #10422 - send hash to capsule sync plan as expected
  (stbenjam@redhat.com)
- Fixes #9327: Update to Bastion 1.X and fix for eslint. (ericdhelms@gmail.com)
- Fixes #8692: Move content views to scoped search. (ericdhelms@gmail.com)
  (eric.d.helms@gmail.com)
- Fixes #10426: Ensure content host exists before updating in migration.
  (ericdhelms@gmail.com)
- fixes #10424 - remove required flag from content host update params
  (thomasmckay@redhat.com)
- Fixes #10308: prevent ISE on errata content hosts page BZ1216200.
  (walden@redhat.com)
- Refs #10388 - Removing license header from test folder
  (daviddavis@redhat.com)
  (david@memorious.net)
- Refs #10388 - Removing license header from other app folders
  (daviddavis@redhat.com)
  (thomasmckay@redhat.com)
  (david@memorious.net)
- Refs #10388 - Removing license header from ruby model files
  (daviddavis@redhat.com)
- Refs #10388 - Removing license header from spec, actions, config, lib
  (daviddavis@redhat.com)
- fixes #10396 - display better errors on repo metadata sync fail
  (jsherril@redhat.com)
- Fixes #10383: change errata issued/updated columns to date, BZ1215756.
  (walden@redhat.com)
- Fixes #10257: Connect capsule and its content host at the DB level.
  (ericdhelms@gmail.com)
- Fixes #10227: remove tipsy to fix tooltip issues, BZ 1213556.
  (walden@redhat.com)
- fixes #10331 - fix assocation from lifecycle environment to hosts
  (stbenjam@redhat.com)
- Refs #10224 - release python-isodate for fedoras (jsherril@redhat.com)
- fixes #6781 - provide a way to restart capsule services (stbenjam@redhat.com)
- Fixes #10309: prevent ISE on CH bulk actions errata BZ1216195.
  (walden@redhat.com)
  (inecas@redhat.com)
- Fixes #10249 - treat canceled tasks as errors (inecas@redhat.com)
- fixes #10229 - centralizing and isolating capsule communication
  (jsherril@redhat.com)
- Fixes #10258: hide "published at" section if puppet BZ 1131940.
  (walden@redhat.com)
- Refs #10224 - updating comps for f20, f21 (jsherril@redhat.com)
- fixes #10246 - hypervisors do not have pulp record (thomasmckay@redhat.com)
- Fixes #5684: cancel repository discovery is now dynflowed
  (oprazak@redhat.com)
- fixes #10225 - handle candlepin events cleanly (thomasmckay@redhat.com)
- fixes #10218 - incorrect usage of subscription guest host uuid
  (thomasmckay@redhat.com)
  (thomasmckay@redhat.com)
- fixes #9655 - reindex content hosts and ignore warnings
  (thomasmckay@redhat.com)
- Fixes #10185: Lock openjdk to less than 1.8.0.45. (ericdhelms@gmail.com)
  (thomasmckay@redhat.com)
- fixes #10144 - pass last-checkin time through to candlepin
  (thomasmckay@redhat.com)
- Fixes #10149: Distribute katello-client-repos RPM in client repos.
  (ericdhelms@gmail.com)
- Fixes #9867: Update katello-remove for latest packages.
  (ericdhelms@gmail.com)
- Fixes #8544: Carry subscription-manager for EL5 in our client repos.
  (ericdhelms@gmail.com)
- Fixes #10140: allow sync plans start date to be editable, BZ 1177901.
  (walden@redhat.com)
- Fixes #10132: Allow viewer role to view content dashboard.
  (ericdhelms@gmail.com)
- fixes #10127 - remove dynflow stacktrace when unregistering, BZ 1208100
  (komidore64@gmail.com)
- Fixes #9818: Properly propogate enabled state for sync plans to Pulp.
  (ericdhelms@gmail.com)
- fixes #9354 - fixing error with import_errata rake task (jsherril@redhat.com)
- Fixes #10006: Host collections can be listed on AK key page again.
  (ericdhelms@gmail.com)
- Fixes #9915: Backend cleanup script handles uebercert and hypervisors.
  (ericdhelms@gmail.com)
- Fixes #9929: Errata parameter was improperly named for repositories.
  (ericdhelms@gmail.com)
- fixes #10028 - Fixes issue with enabling non-yum repos (cfouant@redhat.com)
- fixes #9951 - fixing package update during inc update (jsherril@redhat.com)
- fixes #10012 - properly display conent host tasks (jsherril@redhat.com)
- Fixes #10011: fix long URI error when applying errata BZ 1208678.
  (walden@redhat.com)
- fixes #9984 - remove required flag from DELETE /subscriptions apipie
  (thomasmckay@redhat.com)
- Fixes #9933: use correct param for search BZ1205855. (walden@redhat.com)
- fixes #9786 - fixing searching and adding pagination to hosts errata
  (jsherril@redhat.com)
- Fixes #9992: fix no rows message on errata CH page BZ 1208216.
  (walden@redhat.com)
- Refs #9979: Other tests were not setting User.current when they should.
  (ericdhelms@gmail.com)
- Fixes #9968: Remove unused kill commands and cleanup script.
  (ericdhelms@gmail.com)
- Fixes #9978 - Sets an env content id correctly in cp (paji@redhat.com)
- Fixes #9986: Lock 'logging' gem to 1.X (ericdhelms@gmail.com)
- Fixes #9979: Set User.current in Organization spec tests.
  (ericdhelms@gmail.com)
- fixes #9935 - pass correct id to install errata for inc updates
  (jsherril@redhat.com)
- fixes #9923 - replaced Author column with Description in cv versions
  (thomasmckay@redhat.com)
- Fixes #9934: do not refresh errata on initial load BZ 1206704.
  (walden@redhat.com)
- Fixes #9927:  add missing no row messages, BZ 1206611. (walden@redhat.com)
- fixes #9922 - typo in subscription-products.html (thomasmckay@redhat.com)
- fixes #9889 - hides delete option when values are nil, BZ1186514
  (cfouant@redhat.com)
- fixes #9914 - fixing uninitialized constant error on incremental update
  (jsherril@redhat.com)
- Fixes #9913: ensure unique count on errata CH counts, BZ1206329.
  (walden@redhat.com)
- Fixes #9902 - Updated incorrect cv association (paji@redhat.com)
  (david@memorious.net)
- fixes #9899 - reindex all org subscriptions during manifest destroy
  (jsherril@redhat.com)
- Fixes #9866: Properly remove Pulp sync schedule from products.
  (ericdhelms@gmail.com)
- Fixes #9890 - Add content_view_id to systems API (daviddavis@redhat.com)
- fixes #9898 - Activation Key hint more explicit in registration page,
  BZ1201425 (cfouant@redhat.com)
- fixes #9876 - Adds product content override values to act key API, BZ1180282
  (cfouant@redhat.com)
- refs #8477 - remove defaulting of foreman templates (stbenjam@redhat.com)
  (david@memorious.net)
- Fixes #9887: remove search on activation key show, BZ1204929.
  (walden@redhat.com)
- fixes #9883 - making auto attach run after consumer update
  (jsherril@redhat.com)
- refs #9628 - change prior to prior_id, BZ1189478 (komidore64@gmail.com)
- Fixes #9872: Properly destroy systems that are of type Hypervisor.
  (ericdhelms@gmail.com)
  (david@memorious.net)
- Fixes #9839: show no rows message if table isn't working BZ 1203851.
  (walden@redhat.com)
- fixes #9478 - update system env and cv in candlepin on cv remove
  (jsherril@redhat.com)
- fixes #9802 - convert system bulk errata action to dynflow
  (jsherril@redhat.com)
- Fixes #9838 - additional pkgs for .30 qpid (dtsang@redhat.com)
- Fixes #9423 - Fix updating of docker upstream name (daviddavis@redhat.com)
- Fixes #9755 - Adding docker_images method to cvv (daviddavis@redhat.com)
- fixes #9799 - changing structure of incremental update around composites
  (jsherril@redhat.com)
- Fixes #9069 - support mrg31 (jmontleo@redhat.com)
- Fixes #9796: fix translations for subscription loading screens.
  (walden@redhat.com)
  (eric.d.helms@gmail.com)
- fixes #9798 - don't plan CVPE deletion if this is the default version,
  BZ1076568 (komidore64@gmail.com)
  (eric.d.helms@gmail.com)
- Fixes #9608: correct repository count, BZ 1197836. (walden@redhat.com)
- fixes #9792 - unregister content host UI modal blank (thomasmckay@redhat.com)
- fixes #9790 - Adds tool-tip to actkey UI upon env selection
  (cfouant@redhat.com)
- Fixes #9783:  ensure errata on dashboard are unique, BZ 1187704.
  (walden@redhat.com)
  (thomasmckay@redhat.com)
- Refs #4478 - API localization - Apipie setup moved
  (martin.bacovsky@gmail.com)
- Fixes #9737: fix CH filter for incremental update, BZ 1200441.
  (walden@redhat.com)
- fixes #9750 - always reindex errata packages (jsherril@redhat.com)
- fixes #9722 - recognize and show errors on host content actions
  (jsherril@redhat.com)
- Fixes #9741 - Fixed a puppet module count error in a CVV (paji@redhat.com)
- fixes #9739 - replace reference to delete_products w/ destroy_products
  permission (thomasmckay@redhat.com)
- Fixes #9730: show message when no CV versions exist, BZ1201410.
  (walden@redhat.com)
- Fixes #9658: correct CH count when applying errata, BZ1198815.
  (walden@redhat.com)
- Fixes #9735: Fix package/puppet module incremental update.
  (ericdhelms@gmail.com)
- Fixes #9732: Incorrect apiepie docs for incremental update.
  (ericdhelms@gmail.com)
- Fixes #9731: show success/error messages when updating filter, BZ1201406.
  (walden@redhat.com)
- Fixes #9697: hide confirmation after bulk action or cancel, BZ 1199584.
  (walden@redhat.com)
- Refs #9518, #9310 - Create containers in API using katello repos
  (paji@redhat.com)
- Fixes #9707: Cleanup requirement on rubygems-devel. (ericdhelms@gmail.com)
- fixes #9566 - only destroy repo in finalize for direct repo deletes
  (jsherril@redhat.com)
- Refs #8710 - katello-debug script is no longer a symlink
  (lzap+git@redhat.com)
- Fixes #9698: use correct styling for association tables, BZ 1199626.
  (walden@redhat.com)
  (thomasmckay@redhat.com)
- Fixes #9586: Content view comparison will provide results again.
  (ericdhelms@gmail.com)
- fixes #9681 - simplify presented content override choices
  (thomasmckay@redhat.com)
  (thomasmckay@redhat.com)
- Fixes #9688 - Uses cdn url scheme for docker repo feeds (paji@redhat.com)
- Fixes #9583: improve repository deletion responses BZ 1166365.
  (walden@redhat.com)
- Fixes #9685: Allow searching on capital letters for Packages in CS.
  (ericdhelms@gmail.com)
- Fixes #8570: Show modal dialog before deletion. (ericdhelms@gmail.com)
- Fixes #9580: fix N+1 queries on activation key list, BZ 1196742.
  (walden@redhat.com)
- fixes #7354 - corrected state permission for import manifest
  (thomasmckay@redhat.com)
- Fixes #9670: show applicable errata message on CH errata page, BZ1194773.
  (walden@redhat.com)
- fixes #9664 - Add links to sync errata mail header (stbenjam@redhat.com)
- refs #9637 - add python-amqp to client repos (jsherril@redhat.com)
  (thomasmckay@redhat.com)
- fixes #9647 - speed up puppet class import (jsherril@redhat.com)
- Fixes #8689 - scoped search for host collection (sloranz@xantham.com)
- fixes #9646 - call dynflow to update facts sent via rhsm and virt-who
  (thomasmckay@redhat.com)
- Fixes #9610 - Docker Content now hidden for composite cv (paji@redhat.com)
  (thomasmckay@redhat.com)
  (stephen@bitbin.de)
- fixes #9637 - adding qpid-proton-c to client repos (jsherril@redhat.com)
- fixes #9360 - set feature flag host collection actions
  (thomasmckay@redhat.com)
  (stephen@bitbin.de)
- fixes #9629 - fix env delete, as it no longer needs indexing
  (jsherril@redhat.com)
- Fixes #9511: fix typo on manifest update page. (walden@redhat.com)
- fixes #9626 - sort package names on incremental update task details
  (jsherril@redhat.com)
  (thomasmckay@redhat.com)
  (david@memorious.net)
- fixes #9622 - remove unused product rabl attribute (jsherril@redhat.com)
- refs #8175 - require qpid-dispatch-router (stbenjam@redhat.com)
  (jlsherrill@gmail.com)
- fixes #9587 - remove model reloading from tests (jsherril@redhat.com)
- fixes #9462,#9557,#9556 - various inherited hostgroup issues
  (jsherril@redhat.com)
- Fixes #9608 add repository/puppet module to CV components BZ 1197836.
  (walden@redhat.com)
- Fixes #9582: display content tab after content view is loaded BZ1196720.
  (walden@redhat.com)
- fixes #9577 - fixing host single and bulk delete (jsherril@redhat.com)
- Fixes #9344 - Changing descriptions to text fields BZ1177158
  (daviddavis@redhat.com)
- fixes #9585 - speed up enabling redhat repos (jsherril@redhat.com)
- fixes #9502, #9503 - verify errata exist before application
  (stbenjam@redhat.com)
- Fixes #9579: Limit bastion to less than 1.0.0 (ericdhelms@gmail.com)
- Fixes #7796 - Enable docker repos from the CDN (paji@redhat.com)
- Fixes #8964: Show repository count for composite content views.
  (ericdhelms@gmail.com)
- Fixes #9345: fix content view promotion in IE, BZ1168457. (walden@redhat.com)
- Fixes #9376: Calculate next_sync time properly based on UTC.
  (ericdhelms@gmail.com)
- Fixes #9564: limit components rabl to fix N+1 queries, BZ 1177609.
  (walden@redhat.com)
- fixes #9521 - activate and deactivate pulp nodes (jsherril@redhat.com)
- Fixes #9534: fix N+1 queries on content view index. (walden@redhat.com)
- Fixes #9554: Fix broken package display on content search.
  (ericdhelms@gmail.com)
  (cfouant@redhat.com)
  (cfouant@redhat.com)
- refs #8175 - add new proton/dispatcher packages to comps
  (jsherril@redhat.com)
  (david@memorious.net)
- fixes #8728, #8756 - use capsule RPM for registering a content host
  (stbenjam@redhat.com)
- Automatic commit of package [katello] release [2.3.0-1].
  (ericdhelms@gmail.com)
- Update katello to 2.3.0 (ericdhelms@gmail.com)
- Fixes #9539 - Remove unused erroneous file (daviddavis@redhat.com)
- fixes #9405 - Attaches custom products when registering with activation key
  (cfouant@redhat.com)
- refs #8175 - add qpid dispatch router to services list (stbenjam@redhat.com)
- fixes #8956, #9337 - remove unused scripts and files from specfile
  (mmccune@redhat.com)
- fixes #9422 - limit 24 hour guest subscription visibility
  (thomasmckay@redhat.com)
- fixes #8892, #9340 - Validates content label and override value, BZ1173723,
  BZ1187750 (cfouant@redhat.com)
- Fixes #9400 - configure networking in finish template (mhulan@redhat.com)
- Fixes #9132 - use networking snippet during provisioning (mhulan@redhat.com)
- refs #8861 - adding layout_helper to use trunc with tooltip helper
  (orabin@redhat.com)

* Tue Feb 24 2015 Eric D. Helms <ericdhelms@gmail.com> 2.3.0-1
- Version bump to 2.3.0 (ericdhelms@gmail.com)

* Tue Feb 24 2015 Eric D. Helms <ericdhelms@gmail.com> 2.2.0-2
- Fixes #9511: update manifest upload styling to bootstrap 3, BZ1194531
  (walden@redhat.com)
  (eric.d.helms@gmail.com)
- Fixed #9530 - installer logs are collected again by debug script
  (lzap+git@redhat.com)
- Fixes #8448: Add content tabs to environment details page.
  (ericdhelms@gmail.com)
- Fixes #9528: fix JS error on content host errata table, BZ 1195760.
  (walden@redhat.com)
- fixes #9525 - add array equality assertion methods (stbenjam@redhat.com)
- Fixes #9522: no row-select on tables without bulk actions, BZ 1173765.
  (walden@redhat.com)
- fixes #9467 - fix bulk errata apply list (jsherril@redhat.com)
- fixes #8954 - speeding up product rabl rendering (jsherril@redhat.com)
- katello-remove typo 'permanetly' -> 'permanently' (elobatocs@gmail.com)
- Fixes #8387: Redirect users back to 403 page if no current organization.
  (ericdhelms@gmail.com)
- Fixes #9484: fix bastion katello modal translations, BZ 1194691.
  (walden@redhat.com)
- Fixes #9474: display confirmation when applying errata to CH, BZ1160740.
  (walden@redhat.com)
- fixes #9402 - allow removal of cv version with archive deletion
  (jsherril@redhat.com)
- fixes #9404 - fix sync_plan add/del product action getting stuck
  (jsherril@redhat.com)
- Fixes #9471: fix JS error on content host errata page, BZ1194396
  (walden@redhat.com)
- Fixes #9464: fix typo on content host errata counts display, BZ 1179465.
  (walden@redhat.com)
  (cfouant@redhat.com)
  (jlsherrill@gmail.com)
- fixes #9455 - fixes validation error, BZ1139576 (cfouant@redhat.com)
- refs #9428 - fixing errata loading on the system tests (jsherril@redhat.com)
- fixes #9150 - reindex all distributions on indexing (jsherril@redhat.com)
- Fixes #7088: set filter rule to updated rule on save. (walden@redhat.com)
- Fixes #9431: Clear system_errata when pruning backend objects.
  (ericdhelms@gmail.com)
- fixes #9416 - content view update - dynflow'ize it (bbuckingham@redhat.com)
- fixes #9428 - fixing failing unit test (jsherril@redhat.com)
- fixes #9401 - refresh content view version list after deletion
  (jsherril@redhat.com)
  (david@memorious.net)
- Fixes #9421 - Removing products.json (daviddavis@redhat.com)
- ref #9179 - adding python-mongoengine for EL7 (mmccune@redhat.com)
- Fixes #9166: show message if incremental update in progress, BZ 1193185.
  (walden@redhat.com)
- Fixes #7694: Allow errata to be sorted by updated field.
  (ericdhelms@gmail.com)
- Fixes #8984: Remove sync plan from products when a sync plan is destroyed.
  (ericdhelms@gmail.com)
- fixes #9120 - better feedback around composites for inc updates
  (jsherril@redhat.com)
- fixes #9317 - only call foreman content update when needed
  (jsherril@redhat.com)
  (thomasmckay@redhat.com)
- Fixes #9370: Switch to ASCII 'x' to fix assets precompile.
  (ericdhelms@gmail.com)
- fixes #8251 - keeping track of and showing incremental update content
  (jsherril@redhat.com)
- fixes #9363 - syntax error in hash substitution in errata import task
  (stbenjam@redhat.com)
- fixes #9361 - correct logic to hide content hosts list on collection
  (thomasmckay@redhat.com)
- Refs #8710 - created katello-debug sub-package (lzap+git@redhat.com)
- fixes #9343 - Actkey copies auto-attach preference, BZ1173724
  (cfouant@redhat.com)
- fixes #9330 - validates new name presence prior to dynflow, BZ1187539
  (cfouant@redhat.com)
- fixes #9333 - fix bad action name on lifecycle env delete
  (jsherril@redhat.com)
- fixes #8180 - use dep solving for incremental updates (jsherril@redhat.com)
- fixes #9312 - handle errata import with duplicate packages
  (jsherril@redhat.com)
- Fixes #9298: only apply errata if box is checked, bz 1191214.
  (walden@redhat.com)
- fixes #9309 - fix for NotImplementedError on tasks page (jsherril@redhat.com)
- Ref #9300: destroy ktenv should no longer call dis (dtsang@redhat.com)
- Fixes #9176: display incremental update task in nutupane, bz 1188823.
  (walden@redhat.com)
- Fixes #8834: Prevent empty composite list just after creating content view.
  (ericdhelms@gmail.com)
- Fixes #8938: Publish Red Hat repositories upon enablement.
  (ericdhelms@gmail.com)
- Fixes #9276 - Added some DockerTag tests (daviddavis@redhat.com)
- fixes #9264 - fix for ambiguous col on errata content hosts
  (jsherril@redhat.com)
- Fixes #9238: fix errata icon classes post patternfly upgrade.
  (walden@redhat.com)
  (daviddavis@redhat.com)
- Fixes #8918 - Katello UI to provision docker container (paji@redhat.com)
- Fixes #9224 - Not setting docker upstream name on clones
  (daviddavis@redhat.com)
- Fixes #9220 - fixing incremental update errors and button disable.
  (walden@redhat.com)
- Fixes #9219: close details pane when cancelling content host selection.
  (walden@redhat.com)
- fixes #9221 - fix scoped search call for environment (jsherril@redhat.com)
- fixes #9218 - extend hostgroups controller create/update to include katello
  attrs (bbuckingham@redhat.com)
- Fixes #7127 - Creating a docker tag page (daviddavis@redhat.com)
- Fixes #9209 - Default capsule now checked using Pulp feature
  (paji@redhat.com)
- Fixes #9206: Remove border-radius mixin that was removed in Foreman.
  (ericdhelms@gmail.com)
- fixes #9201 - adds search options for content views index, BZ1188244
  (cfouant@redhat.com)
- Refs #9200: Discovery does not work with Foreman 1.8 currently.
  (ericdhelms@gmail.com)
  (walden@redhat.com)
- Fixes #8192 - allow applying errata to CHs after incremental update.
  (walden@redhat.com)
- Refs #8190: Fix API docs to match intended params. (ericdhelms@gmail.com)
- Fixes #9167: Fix chained scopes when using scoped_search in API
  (ericdhelms@gmail.com)
- Fixes #9181: fix sorting on Errata ID table column. (walden@redhat.com)
- Fixes #8039 - upgrade patternfly to version 1.1.3. (walden@redhat.com)
- Fixes #8178, 8189:  adding UI for incremental update. (walden@redhat.com)
- Fixes 9174 - replace UUIDTools with SecureRandom (inecas@redhat.com)
- fixes #9158 - do not find foreman host by mac (stbenjam@redhat.com)
- Fixes #8959 - Repo create cleanup (paji@redhat.com)
- refs #8683 - adding support for katello-selinux (jsherril@redhat.com)
  (jlsherrill@gmail.com)
- fixes #8612 - Makes output consistent for deleting act key, BZ1171092
  (cfouant@redhat.com)
  (daviddavis@redhat.com)
- fixes #8040 - Product content changes are updated in UI, BZ1112747
  (cfouant@redhat.com)
- Fixes #8958 - Show tag info for docker images (daviddavis@redhat.com)
- fixes #9131 - publish content view was always using latest puppet module
  (jsherril@redhat.com)
- fixes #8191 - adding support for updating systems after an incremental update
  (jsherril@redhat.com)
- fixes #9051 - add errata_ids param to systems index (jsherril@redhat.com)
- Refs #9099 - Update rubocop to 0.28 (daviddavis@redhat.com)
- refs #8213 - add sam-installer to comps (mmccune@redhat.com)
- fixes #9105 - set default org for initial admin user (jsherril@redhat.com)
  (jlsherrill@gmail.com)
- Fixes #8688 - Migrate environment to scoped search (sloranz@xantham.com)
- Fixes #8307 - allow filtering of Errata by available/installable.
  (walden@redhat.com)
- refs 8213 - split out katello package into modular sub-packages
  (mmccune@redhat.com)
- refs #8860 - updating clean backend objects to handle missing pulp entries
  (jsherril@redhat.com)
- Fixes #8951 - add host collection BZ1143029 (sloranz@xantham.com)
- Fixes #9079 - Add /var/lib/mongodb to the foreman-debug collection
  (bkearney@redhat.com)
  (thomasmckay@redhat.com)
- fixes #8941 - dynflow refresh subscriptions (auto-attach)
  (thomasmckay@redhat.com)
- Fixes #7676 - order dashboard errata list by errata updated date.
  (walden@redhat.com)
- Refs #7745: Support checking for custom header from RHSM proxied requests.
  (ericdhelms@gmail.com)
- fixes #8174 - specify capsule-supported gpg key url (jsherril@redhat.com)
- fixes #8194 - adding ability to update composites as part of a content view
  update (jsherril@redhat.com)
- Fixes #8870 - add applicable systems errata count to errata list.
  (walden@redhat.com)
- Fixes #9011 - Skip deleting products during manifest actions
  (daviddavis@redhat.com)
- Fixes #8652: replace errata content search links (walden@redhat.com)
- Fixes #8971: rename "Available" to "Installable" Errata, bz 1182604.
  (walden@redhat.com)
- fixes #8574 - separating host content view & life env from puppet env
  (jsherril@redhat.com)
- fixes #8867 - fixes activation key dynflow update passing in nil variables
  (cfouant@redhat.com)
- Fixes #8895: link to errata page from errata dashboard. (walden@redhat.com)
- Fixes #8960 - Handled ISE on bulk repos sync page (paji@redhat.com)
- Fixes #8962 - CV page shows only non zero content counts in UI
  (paji@redhat.com)
- Fixes #8836 - CV Versions page shows docker info (paji@redhat.com)
  (bryan.kearney@gmail.com)
- Fixes #8974 - HC make name optional on update (dtsang@redhat.com)
- Fixes #8961 - Fixing a typo in the name of an action class (paji@redhat.com)
- Fixes #7755: Use product label to make media unique. (ericdhelms@gmail.com)
- Refs #8934: Set menu links to disable turbo links support.
  (ericdhelms@gmail.com)
- fixes #8943 - do not perform post sync actions until after the sync is
  finished (jsherril@redhat.com)
  (thomasmckay@redhat.com)
- fixes #8353 - require all neccessary pulp packages in RPM
  (stbenjam@redhat.com)
  (daviddavis@redhat.com)
- Fixes #8933 - Turn off content type check for routes (daviddavis@redhat.com)
- fixes #8326 - fixing errata queries due to ambiguous sort
  (jsherril@redhat.com)
- Fixes #8621: Set sync plan on product during repository creation.
  (ericdhelms@gmail.com)
- fixes #8936 - fixes localization to help message, BZ1143859
  (cfouant@redhat.com)
- fixes #8935 - reverts table columns for SAM feature flags
  (cfouant@redhat.com)
- Fixes #8924: add last_sync_words to sync plan rabl, bz 1130300.
  (walden@redhat.com)
  (bryan.kearney@gmail.com)
- fixes #8860 - fixing clean_backend_objects rake task (jsherril@redhat.com)
- Fixes #8931 - Update the text for the filter to address typo
  (bkearney@redhat.com)
- Fixes #8928 : Text on publish screen is not grammatically correct
  (bkearney@redhat.com)
  (jlsherrill@gmail.com)
  (daviddavis@redhat.com)
  (daviddavis@redhat.com)
- Fixes #8632 - Redoing docker tables/fields (daviddavis@redhat.com)
- fixes #8671, #8684 - Hides custom products from SAM users, hides gpg keys
  from red hat products, BZ1173340, BZ1173764 (cfouant@redhat.com)
- refs #8764 - moving organization description to foreman core
  (orabin@redhat.com)
- fixes #8904 - fixing query breaking content view repo list
  (jsherril@redhat.com)
- Fixes #7691: Add repository filter to Errata list page.
  (ericdhelms@gmail.com)
- refs #8635 - add hammer-cli-gutterball to comps (komidore64@gmail.com)
- fixes #8563 - fetch package information in chunks when fetching file lists
  (jsherril@redhat.com)
- fixes #8893 - hide katello-agent info (thomasmckay@redhat.com)
- fixes #8891 - adds auto-attach to api/cli output, BZ1180285
  (cfouant@redhat.com)
  (cfouant@redhat.com)
- Fixes #8887: returning correct CVE structure in rabl. (walden@redhat.com)
- Fixes #8886: show N/A if no CVEs exist for errata. (walden@redhat.com)
- Fixes #6184 - Dynflowizes system update. (aruzicka@redhat.com)
- Fixes #8846 - Have the V2 api controller extend Api::V2::BaseController
  (daviddavis@redhat.com)
- Fixes #8858: Collect candlepin logs on RHEL7 (bkearney@redhat.com)
- Fixes #8594: Fix errata listing for content view filter regression.
  (ericdhelms@gmail.com)
- fixes #8848 - fixing content host errata list (jsherril@redhat.com)
- Fixes #8743 - Repo Index returns promoted repos (paji@redhat.com)
- fixes #8730 - keep track of components of composite content view versions
  (jsherril@redhat.com)
- fixes #8833 - Removes name requirement for act key update, BZ 1178928
  (cfouant@redhat.com)
  dustints/check_config_starting_listen_on_cp_event (dtsang@redhat.com)
- refs #8575 - adding python-qpid-common to comps (jsherril@redhat.com)
- fixes #8775 - ensure available errata are unique (stbenjam@redhat.com)
- fixes #8776 - bumping gem version (jsherril@redhat.com)
- Fixes #8771 - Remove katello_api from comps (daviddavis@redhat.com)
- Automatic commit of package [katello] minor release [2.2.0-1].
  (daviddavis@redhat.com)
- fixes #8731 - sets feature flag for lifecycle environments, BZ1174944
  (cfouant@redhat.com)
- fixes #8729 - Sets feature flag on remote actions, BZ1174932
  (cfouant@redhat.com)
- Fixes #8482: add an environment filter to the errata content hosts page.
  (walden@redhat.com)
- Fixes #8552 - Don't initialize cp task if no qpid config (dtsang@redhat.com)

* Fri Dec 19 2014 David Davis <daviddavis@redhat.com> 2.2.0-1
- fatal: bad revision 'rubygem-katello-2.2.0-1..HEAD'

* Fri Dec 19 2014 David Davis <daviddavis@redhat.com> 2.2.0-1
  (jlsherrill@gmail.com)
  (daviddavis@redhat.com)
- fixes #8768 - fixing pulp glue tests in live mode (jsherril@redhat.com)
- fixes #8598 - fixing repository delete current user was not set during
  finalize phase (jsherril@redhat.com)
- fixes #8770 - delay node metadata sync to 2nd action (jsherril@redhat.com)
- Fixes #8655: Show content view and environment pairings for library
  repositories. (ericdhelms@gmail.com)
- Fixes #8763 - Remove unnecessary ignore blocks (daviddavis@redhat.com)
- fixes #8703 - fix promotion notification mail (stbenjam@redhat.com)
- fixes #8354 - truncate long erratum titles (stbenjam@redhat.com)
- fixes #8687 - rewire sync_plan for scoped search (sloranz@xantham.com)
- Fixes #7953: add product/repositories list for an erratum.
  (walden@redhat.com)
- fixes #8686 - rewire gpg_keys for scoped search (sloranz@xantham.com)
- fixes #8188 - adding api to determine what inc update is needed
  (jsherril@redhat.com)
- fixes #8306,8177,8180 - adding incremnetal update api (jsherril@redhat.com)
- Refs #8679: Update comps for new katello installer breakout.
  (ericdhelms@gmail.com)
- fixes #8681 - removing requirements for maruku (jsherril@redhat.com)
- fixes #6637 - loosening url validation restrictions (jsherril@redhat.com)
- Fixes #8519 - Bonus subs not being reindexed (dtsang@redhat.com)
- fixes #8675 - updating rubocop.yml for bastion_katello (jsherril@redhat.com)
- Fixes #8626: ensure errata icons line up, BZ 1171310. (walden@redhat.com)
  (cfouant@redhat.com)
- Fixes #8668: Hide 'Server' kickstart repositories from enablement.
  (ericdhelms@gmail.com)
- refs #8596 - adding foreman_sam and hammer-cli-sam to comps
  (komidore64@gmail.com)
  (komidore64@gmail.com)
- refs #8584 - foreman-gutterball and gutterball to comps
  (komidore64@gmail.com)
  (daviddavis@redhat.com)
- fixes #7480 - disown foreman templates (stbenjam@redhat.com)
  (jlsherrill@gmail.com)
- fixes #8606 - fixing puppet module index (jsherril@redhat.com)
- Fixes #8615 - relax qpid_messaging dependency (jmontleo@redhat.com)
  (thomasmckay@redhat.com)
- fixes #7176 - display hypervisor/guest info for subscription
  (thomasmckay@redhat.com)
- BuildRequires needs to be updated as well (jmontleo@redhat.com)
- Fixes #8610 - Adding search param to repo content api (daviddavis@redhat.com)
- fixes #7667 - promotion errata mail notification (stbenjam@redhat.com)
- fixes #7666 - sync errata mail notification (stbenjam@redhat.com)
- fixes #7668 - host errata mail notification (stbenjam@redhat.com)
- fixes #8480 - Adds default setting for act key autoattach, BZ 1166889
  (cfouant@redhat.com)
- fixes #8491 - removing puppet modules list from content view version api
  (jsherril@redhat.com)
- fixes #8588 - make repo indexing idempotent (stbenjam@redhat.com)
- Fixes #7603,7792,7789 - Code to promote/publish dockered cv's
  (paji@redhat.com)
  (daviddavis@redhat.com)
- fixes #8549 - Fixes subscription error messages for act key, BZ 1154619
  (cfouant@redhat.com)
- Fixes #7845 - Allows user to delete custom product (aruzicka@redhat.com)
- fixes #7695, #7677 - enable searching errata by issued/updated times
  (stbenjam@redhat.com)
- Fixes #8579 - Enabling EmptyLinesAroundBody cop (daviddavis@redhat.com)
- Fixes #7810 - Remove docker and puppet content from a repository
  (daviddavis@redhat.com)
- Fixes #7688: add content hosts tab to the errata details page.
  (walden@redhat.com)
- Fixes #8553: Fix broken table layouts. (ericdhelms@gmail.com)
- Fixes #8384: Remove dependence on ui-alchemy_rails and compass.
  (ericdhelms@gmail.com)
- fixes #7697 - enable searching by CVE (stbenjam@redhat.com)
- refs #7706 - extend errata rabl in systems API (stbenjam@redhat.com)
- Fixes #8113 - Docker tags count now displayed for Repositories
  (paji@redhat.com)
  (daviddavis@redhat.com)
  (daviddavis@redhat.com)
  (bryan.kearney@gmail.com)
- Fixes #8494 - Re-adding the content view filter line (daviddavis@redhat.com)
- refs #7233 - refactor FactoryGirl methods to after(:action) and use
  assocation for library (shlomi@ben-hanna.com)
- Fixes #8483: Require foreman-assets RPM. (ericdhelms@gmail.com)
  (komidore64@gmail.com)
  (daviddavis@redhat.com)
- Fixes #8404: Re-factor environments UI to show environment counts.
  (ericdhelms@gmail.com)
- fixes #6939 - Sets autoattach flag for act key, BZ 1126924
  (cfouant@redhat.com)
- fixes #7904 - adding autocomplete for errata (jsherril@redhat.com)
- fixes #8454 - display product id (sku) (thomasmckay@redhat.com)
- Fixes #8101 - Show docker pull url for repository details page
  (aruzicka@redhat.com)
- fixes #8451 - add hammer-cli-csv to nightly builds (thomasmckay@redhat.com)
- Fixes #8406: Allow content to be filtered by environment.
  (ericdhelms@gmail.com)
  (daviddavis@redhat.com)
- Fixes #8018 - Performs docker repository name validation on repo create
  (aruzicka@redhat.com)
- Fixes #8441 - Can specify cdn ssl version via config (paji@redhat.com)
- Fixes #8440: Fix broken auto_complete URL in Package Filter UI.
  (ericdhelms@gmail.com)
- fixes #8438 - using correct environments for repository lookup
  (jsherril@redhat.com)
- Fixes #8436 - Fixing broken apidoc route and field (daviddavis@redhat.com)
- Refs #8396: Remove use of 'alchemy' namespace from Bastion re-facotring.
  (ericdhelms@gmail.com)
  (eric.d.helms@gmail.com)
- Refs #7883: Adds repository filter to tabs on content view version details.
  (ericdhelms@gmail.com)
- Fixes #7883: Allow filtering content by a content view version and
  repository. (ericdhelms@gmail.com)
- Fixes #8222 - Prevent duplicate docker tags for repos (daviddavis@redhat.com)
- Fixes #8397: Display errata counts for Library environment counts.
  (ericdhelms@gmail.com)
- Fixes #5059 - Returns error message when sorting by wrong column.
  (aruzicka@redhat.com)
  (bryan.kearney@gmail.com)
- fixes #8355 - remove ambigious column plucks for older rails
  (stbenjam@redhat.com)
- Fixes #8338: add CVE numbers to errata details. (walden@redhat.com)
- Refs #8340 - remove uneeded packages from comps (jsherril@redhat.com)
- Fixes #8322: display black icons if no errata needs to be applied.
  (walden@redhat.com)
- fixes #8318 - make errata indexing idempotent (stbenjam@redhat.com)
  (daviddavis@redhat.com)
- Refs #8242 - Create docker tag API (daviddavis@redhat.com)
  (komidore64@gmail.com)
- refs #8292 - adding org_id param b/c it's required, BZ 1135125
  (komidore64@gmail.com)
- Fixes #8237 : Validate that the user can not set max_content_hosts if
  unlimited_content_hosts is true (bryan.kearney@gmail.com)
- Fixes #8283: Require jquery-ui-rails for the RPM spec and bump Runcible.
  (ericdhelms@gmail.com)
- Fixes #8127: add errata counts to the content host details page.
  (walden@redhat.com)
- Fixes #8273/BZ1138868: fix JS error on content hosts page.
  (walden@redhat.com)
- fixes #8268 - adding progress reporting for puppet sync (jsherril@redhat.com)
- Fixes #8263: Remove usage of to_sym on user input params.
  (ericdhelms@gmail.com)
  (bryan.kearney@gmail.com)
- Fixes #8265/BZ1154380: remove deselect all link from tables.
  (walden@redhat.com)
- fixes #8262 - fixing progress updating on sync status page
  (jsherril@redhat.com)
- fixes #6060 - Fixes activation-key content override, BZ 1104638
  (cfouant@redhat.com)
- fixes #8255 - properly display new version for publish after just publishing
  old version (jsherril@redhat.com)
- fixes #8253 - updating requirements for foreman_docker (jsherril@redhat.com)
- fixes #8220 - Throw error for act key content host limit beyond max, BZ
  1139576 (cfouant@redhat.com)
- Fixes #8235: Add orgzanization_id to the systems json which is generated
  (bryan.kearney@gmail.com)
  (thomasmckay@redhat.com)
- Fixes #8238 : Mark content_type parameter as required, since it is for POSTS
  (bryan.kearney@gmail.com)
- Fixes #8225 - RH Cdn url can now be updated (paji@redhat.com)
- fixes #8232 - fixing db:seed when called twice with seed organization
  (jsherril@redhat.com)
- fixes #8131 - hypervisors forced into content host's org, env, and cv
  (thomasmckay@redhat.com)
  (daviddavis@redhat.com)
- Refs #8138: Removes use of RootURL removed from Bastion.
  (ericdhelms@gmail.com)
- Fixes #7604 - Enable docker image uploads (daviddavis@redhat.com)
  (daviddavis@redhat.com)
  (daviddavis@redhat.com)
- fixes #7711 - adding api errata comparison for content view versions
  (jsherril@redhat.com)
- Fixes #8209 - Hammer repo create doesn't require url (aruzicka@redhat.com)
- Fixes #7554 - Show user friendly error message on 413 (daviddavis@redhat.com)
  (komidore64@gmail.com)
- Fixes #7961: Able to view the Errata in the Library Environment
  (ericdhelms@gmail.com)
- fixes #7885 - adding counts to lifecycle environments (jsherril@redhat.com)
- Fixes #7126 - Upload docker images to the API (daviddavis@redhat.com)
- fixes #7690 - adding errata applicable/available systems api
  (jsherril@redhat.com)
- Fixes #8126:  add color to errata icons based on errata count.
  (walden@redhat.com)
- Fixes #8132: Remove unused styling and import to fix asset compile.
  (ericdhelms@gmail.com)
- fixes #8116 - correcting prior env description in apidoc, BZ 1130258
  (komidore64@gmail.com)
- Fixes #7609: View the details of a Content View Version
  (ericdhelms@gmail.com)
  (daviddavis@redhat.com)
  (daviddavis@redhat.com)
- Fixes #7642 - Added backend/api for docker images (daviddavis@redhat.com)
- Fixes #8119 - Remove tests covered by rubocop (daviddavis@redhat.com)
- Fixes #7951 - Add/Remove Docker repos to Content Views (paji@redhat.com)
  (daviddavis@redhat.com)
- fixes #7680 - filter errata optionally by organization id from api
  (jsherril@redhat.com)
- fixes #8094 - Content Host - fix the host collection capacity
  (bbuckingham@redhat.com)
- fixes #8089 - Content Dashboard - fix the sorting of items in Sync Overview
  (bbuckingham@redhat.com)
- fixes #8087 - Locations - update to allow proper use of nested locations
  (bbuckingham@redhat.com)
- fixes #7754 - Adds cloning of activation key, BZ 531307 (cfouant@redhat.com)
- Fixes #6187,BZ1125358 - Deleting a resource and creation a new one wont lead
  to conflicts (aruzicka@redhat.com)
- fixes #7996 - don't index users in elasticsearch (stbenjam@redhat.com)
  desccriptification-station (komidore64@gmail.com)
- Fixes #8013: Rely on factory_girl_rails and mocha version from Foreman.
  (ericdhelms@gmail.com)
- fixes #7993 - showing available errata and not all applicable
  (jsherril@redhat.com)
- Refs #7733: Remove usage of Host fixtures in favor of Host factories.
  (ericdhelms@gmail.com)
- Refs #7423: Convert to using Bastion core to provide the Katello UI.
  (ericdhelms@gmail.com)
- Fixes #7846 - remove critcal section from cp events task (dtsang@redhat.com)
- fixes #7701,7702,7703 - adding selector for type of applicability view
  (jsherril@redhat.com)
- Fixes #7949: show affected packages of errata on details page.
  (walden@redhat.com)
-  fixes #7979 - adding better error reporting for repo enable ui
  (jsherril@redhat.com)
  (eric.d.helms@gmail.com)
- fixes #7834 - properly process incoming and updated hypervisors
  (thomasmckay@redhat.com)
  (daviddavis@redhat.com)
- Fixes #7796 - Added code to enable docker repos (paji@redhat.com)
- Refs #7156 - Addressing more rubocop cops (daviddavis@redhat.com)
- Fixes #7919/BZ1151633: fix translations of sync plan intervals.
  (walden@redhat.com)
- Fixes #7947 - Validating package checksums when syncing
  (daviddavis@redhat.com)
- refs #6463 - hammer was unable to update the org's desc, BZ 1114136
  (komidore64@gmail.com)
- Fixes #7685: add errata details page. (walden@redhat.com)
- Fixes #7942: redirect to correct place after creating a sync plan.
  (walden@redhat.com)
- fixes #7813 - adds arguments to activation-key functions, BZ 1110475
  (cfouant@redhat.com)
- Fixes #7630 - Creating new product saves its description
  (aruzicka@redhat.com)
  (daviddavis@redhat.com)
  (daviddavis@redhat.com)
- fixes 7927 - fix subscription-manager registration for missing constant
  (jsherril@redhat.com)
- Fixes #7929 - Update the MethodLength namespaces (daviddavis@redhat.com)
  (walden@redhat.com)
- Fixes #7915 - copy uploaded files to shared tmp directory in plan phase
  (inecas@redhat.com)
- Fixes #5015 - Repo discovery display format (oprazak@redhat.com)
- Fixes #7679: add the errata list page and menu item. (walden@redhat.com)
- Fixes #7903 - Remove call to undefined class (daviddavis@redhat.com)
- Fixes #7156 - Fixing up rubocop errors across katello (daviddavis@redhat.com)
  (daviddavis@redhat.com)
- Fixes #7863 - Upgrade rubocop to 0.26.1 (daviddavis@redhat.com)
- Fixes #7900: Bastion pages couldn't load due to unparseable User.to_json
  (ericdhelms@gmail.com)
  (daviddavis@redhat.com)
- Fixes #7816 - Refactor strong_params code (daviddavis@redhat.com)
- Refs #6421 - Turning on rubocop for the test directory
  (daviddavis@redhat.com)
- Refs #7156: Fixing app/lib for Rubocop. (ericdhelms@gmail.com)
  (walden@redhat.com)
- Fixes #7852: Refactor puppet modules controller to use content concern.
  (ericdhelms@gmail.com)
- Refs #6421: Fix spec directory rubocop offenses. (ericdhelms@gmail.com)
  (daviddavis@redhat.com)
- refs #7493 - fixing test that is randomly failing (jsherril@redhat.com)
- Fixes #7704: show applicable Errata count for Content Host list.
  (walden@redhat.com)
- Refs #7156 - Disable some cops (daviddavis@redhat.com)
  (komidore64@gmail.com)
- refs #7156 - test updates for model changes (jsherril@redhat.com)
  (eric.d.helms@gmail.com)
  (eric.d.helms@gmail.com)
- Refs #7156: Fix lib/ Rubocop offenses. (ericdhelms@gmail.com)
- refs #7156 - rubocop - adding to app/views/*.rabl files
  (komidore64@gmail.com)
- refs #7156 - updating rubocop style for migrations (jsherril@redhat.com)
- Refs #7156: fix rubocop offenses in app/controllers. (walden@redhat.com)
- Refs #7156: Removing unneeded files Rubocop was checking.
  (ericdhelms@gmail.com)
- refs #7156 - updating models for new rubocop style (jsherril@redhat.com)
- Refs #7156: Fix config/ Rubocop offenses. (ericdhelms@gmail.com)
- refs #7156 - rubocop fixes for katello/helpers (bbuckingham@redhat.com)
- fixes #7705 - adding errata counts to content host details
  (jsherril@redhat.com)
- Refs #7642 - Back-end code for viewing docker images (daviddavis@redhat.com)
- Fixes #7798 - adding editable redhat registry url (paji@redhat.com)
  (daviddavis@redhat.com)
  (dtsang@redhat.com)
- Fixes #7844 - lockdown qpid_messaging rpms (dtsang@redhat.com)
- Fixes #7526 - Fixing crane dependency (daviddavis@redhat.com)
  (daviddavis@redhat.com)
- Ref# #7124 - Improved a complicated if statement (paji@redhat.com)
- Merge branch 'master' into master-merge (paji@redhat.com)
- Fixes #7844 - lockdown qpid_messaging >= 0.26.1 && (dtsang@redhat.com)
- Fixes #7526 - Add pulp-docker dependencies for pulp 2.5 upgrade
  (daviddavis@redhat.com)
- Merge branch 'master' into master-merge (paji@redhat.com)
- refs #7818 - render permissions to fix oj 2.10.3 error (elobatocs@gmail.com)
- refs #7814 - adding one last client package to comps (jsherril@redhat.com)
- fixes #7814 - adding a few client pages to comps (jsherril@redhat.com)
- refs #7124 - docker - downcase pulp_id when creating docker repository
  (bbuckingham@redhat.com)
- Fixes #7606 - Added code to sync docker repos (paji@redhat.com)
- refs #7124 - docker - fix issue where repo was always created as protected
  (bbuckingham@redhat.com)
  (dtsang@redhat.com)
  (dtsang@redhat.com)
- Fixes #6543 - updt index on cp event bz1115602 (inecas@redhat.com)
- Fixes #7243 - CVV promotion out of sequence (dtsang@redhat.com)
  (eric.d.helms@gmail.com)
- Fixes #7730,BZ1127090 - Activation key max host count can be set from finite
  number to infinite (aruzicka@redhat.com)
- fixes #7627 - handle cases where this codte is ran outside of rails
  (mmccune@redhat.com)
- Fixes #4121: Removes unused configuration values. (ericdhelms@gmail.com)
- Fixes #7493 - Store the description entered during publish
  (daviddavis@redhat.com)
  (daviddavis@redhat.com)
- fixes #4056 - add checksum selection for custom repos (jsherril@redhat.com)
- fixes #7621 - treat a nil minor OS version as empty string
  (jsherril@redhat.com)
- fixes #7598 - Docker - initial ui chgs to support CRUD
  (bbuckingham@redhat.com)
- Fixes #7641: add errata icon tooltips on content view versions page.
  (walden@redhat.com)
- Fixes #7616 - Use validates_lengths_from_database (daviddavis@redhat.com)
- fixes #7155 - ensure displayMessage is present (thomasmckay@redhat.com)
- fixes #7124 - Docker - initial backend/api changes to support repository CRUD
  actions (bbuckingham@redhat.com)
- Fixes #7304 - use dynflow for repository sync bulk actions
  (inecas@redhat.com)
- Fixes #6946: Update organization to disallow modifying label
  (paji@redhat.com)
  (walden@redhat.com)
- Fixes #6912/BZ 1126446 - Sync Plan enabled by default, checkbox to disable on
  edit (oprazak@redhat.com)
- fixes #7542 - add ability to delete a Hypervisor (stbenjam@redhat.com)
  (eric.d.helms@gmail.com)
- Fixes #7527 - don't require less in production unless from rake
  (inecas@redhat.com)
- fixes #7521 - fix import of virt-who subscription information
  (stbenjam@redhat.com)
- Fixes #7446/bz1140653 - Host delete dynflowed (paji@redhat.com)
  (daviddavis@redhat.com)
- fixes #7481 - fix taxonomy association on smart proxy create
  (jsherril@redhat.com)
- Fixes #7428,BZ1120314 - Show user friendly error when no repo name
  (daviddavis@redhat.com)
  (komidore64@gmail.com)
- Fixes #7322 - Fixed handling of empty body (just whitespaces)
  (martin.bacovsky@gmail.com)
- fixes #7422 - documenting the `label` param for env creation, BZ 883170
  (komidore64@gmail.com)
- Fixes #7465: display message when there aren't any subscriptions.
  (walden@redhat.com)
  (walden@redhat.com)
- Fixes #6186 - Dynflowize product update. (aruzicka@redhat.com)
- refs 7207 - fixing comps for el7 candlepin (jsherril@redhat.com)
  (daviddavis@redhat.com)
  (daviddavis@redhat.com)
- fixes #7441 - add candlepin-common to comps (jsherril@redhat.com)
- Fixes #4633 - Select all checkbox deselected after sync (oprazak@redhat.com)
- Refs #7156 - Fixing some small rubocop items (daviddavis@redhat.com)
- Fixes #7362 - Update org create dynflow (paji@redhat.com)
- Fixes #7427 - Avoid use of params local variables (daviddavis@redhat.com)
- fixes #7426 - Adds a spinner to the repository tabs, BZ 1129526
  (cfouant@redhat.com)
- Refs #7242: Add 1.5-2.0 Changelog. (ericdhelms@gmail.com)
- Automatic commit of package [katello] minor release [2.1.0-1].
  (jsherril@redhat.com)
- bumping to katello version to 2.1 (jsherril@redhat.com)
- Fixes #5229 - Messages for empty tables in Bastion (oprazak@redhat.com)
- Fixes #7282: Use apipie packages provided by Foreman repos.
  (ericdhelms@gmail.com)

* Fri Sep 12 2014 Justin Sherrill <jsherril@redhat.com> 2.1.0-1
- bumping to version to 2.1 (jsherril@redhat.com)

* Fri Sep 12 2014 Justin Sherrill <jsherril@redhat.com> 2.0.0-1
- bumping to katello 2.0 (jsherril@redhat.com)
- Automatic commit of package [katello] minor release [2.0.0-0].
  (jsherril@redhat.com)
- fixes #7410 - replaced query_params with params (thomasmckay@redhat.com)
- fixes #7404 - add salt support to katello templates (stbenjam@redhat.com)
- Fixes #7395: Turn off strong params for Candlepin proxies controller.
  (ericdhelms@gmail.com)
- fixes #6488 enable autosearch completion on Katello model filters
  (stbenjam@redhat.com)
- Fixes #7394: Stop blocking plugin routes from being loaded properly.
  (ericdhelms@gmail.com)
- Fixes #3584: Enable all tests to be run. (ericdhelms@gmail.com)
- Fixes #7390: Change global variable $/ to $INPUT_RECORD_SEPARATOR.
  (ericdhelms@gmail.com)
- Fixes #7389: Prevent undefined method error from root controller.
  (ericdhelms@gmail.com)
- Fixes #7358/BZ1138411: correct empty org message logic on dashboard.
  (walden@redhat.com)
- Fixes #6287: Remove V1 API entirely. (ericdhelms@gmail.com)
- refs #6370 - automatically associate OS's with templates
  (stbenjam@redhat.com)
- Fixes #7307 - Refactor errata/package/package group APIs
  (daviddavis@redhat.com)
- Refs #7156 - Fixing a bunch of small rubocop items (daviddavis@redhat.com)
- fixes #7360 / BZ 1120595 - UI: Product: fix Sync Now behavior
  (bbuckingham@redhat.com)
- Fixes #6942,bz1122924 - subscription reindex (inecas@redhat.com)
- Fixes #6821/BZ1117636: fix link to content hosts on CV delete page.
  (walden@redhat.com)
- fixes #7343 / BZ 1132576 - iso sync - fix issue where progress report not
  available yet (bbuckingham@redhat.com)
- fixes #7342 / BZ 1128469 - content view filter - improve behavior when
  clicking calendar icon (bbuckingham@redhat.com)
- Fixes #7341: Adds script to generate contributors with initial list.
  (ericdhelms@gmail.com)
- fixes #7309 / BZ 1093483 - Repo sync status - update UI cross-links and
  status based on dynflow task (bbuckingham@redhat.com)
- fixes #7328 - Adds route for sync-plans, BZ 1132817 (cfouant@redhat.com)
- Fixes #6773 - Host inherits Content Source from Hostgroup
  (elobatocs@gmail.com)
- Fixes #7303 - Added content view version param to errata api
  (daviddavis@redhat.com)
- Fixes #7300 - Adding a content view version parameter for packages
  (daviddavis@redhat.com)
- Fixes #7242: Script to generate formatted changelog. (ericdhelms@gmail.com)
- fixes #7292 - Fixes duplicated sync plan route, BZ 1132914
  (cfouant@redhat.com)
- Fixes #7283: using translate directive in <span> to avoid infinite loop.
  (walden@redhat.com)
- Fixes #7294: replace <th> translate filters with directives.
  (walden@redhat.com)
- Fixes #6993: Ensure repo discovery proxy setup is loaded in production.
  (ericdhelms@gmail.com)
- fixes #7273 - sync puppet and rpm content together (jsherril@redhat.com)
- fixes #7278 - Fixes activation key registration hint, BZ 1128245
  (cfouant@redhat.com)
- Fixes #7028 - fixing api docs for orgs (tstrachota@redhat.com)
- fixes #7271 - validate repositories associated to content views
  (jsherril@redhat.com)
- fixes #6605 - Adds registered by to content host, BZ 1020402
  (cfouant@redhat.com)
- fixes #7162 / BZ 1102763 - capsule - treat task as failed if sync times out
  with capsule (bbuckingham@redhat.com)
- Fixes #7272 - system has extra validation on name (dtsang@redhat.com)
- Fixes #7270/BZ1131661: remove GMT from new sync plan form.
  (walden@redhat.com)
- Fixes #6955: using CSS to mimic a <pre> for multiple line support.
  (walden@redhat.com)
- fixes #7266 - specify time when creating new ulimited subscriptions
  (jsherril@redhat.com)
- Fixes #6990 - No message for admin (oprazak@redhat.com)
- Fixes #7027: Restrict mongodb to version 2.4 or greater.
  (ericdhelms@gmail.com)
- Fixes #7251 - hammer org_id help text missing (dtsang@redhat.com)
- Fixes #7241/bz1132790 - Enable rh common for ks template (paji@redhat.com)
- fixes #7084 - add rubygem-hammer_cli_import dep (jmontleo@redhat.com)
- refs #5271 - update tito for el7 (jsherril@redhat.com)
- Fixes #7120/BZ980113: use BS3 on dashboard to make it responsive.
  (walden@redhat.com)
- Fixes #6726 - sends username in cp-user header. (aruzicka@redhat.com)
